#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gem_shmem_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_create_with_mnt, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin_locked, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin_locked, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_madvise, "", "");
KSYMTAB_FUNC(drm_gem_shmem_purge, "", "");
KSYMTAB_FUNC(drm_gem_shmem_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_shmem_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_print_info, "", "");
KSYMTAB_FUNC(drm_gem_shmem_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_get_pages_sgt, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_fbdev_shmem_driver_fbdev_probe, "", "");

SYMBOL_CRC(drm_gem_shmem_create, 0xc51b3d53, "_gpl");
SYMBOL_CRC(drm_gem_shmem_create_with_mnt, 0x13080b0a, "_gpl");
SYMBOL_CRC(drm_gem_shmem_free, 0xb5227f9b, "_gpl");
SYMBOL_CRC(drm_gem_shmem_put_pages, 0x54528fe5, "");
SYMBOL_CRC(drm_gem_shmem_pin_locked, 0xc9128ea3, "");
SYMBOL_CRC(drm_gem_shmem_unpin_locked, 0xfe0ee886, "");
SYMBOL_CRC(drm_gem_shmem_pin, 0xaa60f66b, "");
SYMBOL_CRC(drm_gem_shmem_unpin, 0xceb20a38, "");
SYMBOL_CRC(drm_gem_shmem_vmap, 0x225c6d84, "");
SYMBOL_CRC(drm_gem_shmem_vunmap, 0x064b3850, "");
SYMBOL_CRC(drm_gem_shmem_madvise, 0x46973549, "");
SYMBOL_CRC(drm_gem_shmem_purge, 0x51a3c8d7, "");
SYMBOL_CRC(drm_gem_shmem_dumb_create, 0x6285d6b0, "_gpl");
SYMBOL_CRC(drm_gem_shmem_vm_ops, 0xaa42491a, "_gpl");
SYMBOL_CRC(drm_gem_shmem_mmap, 0xb9d402da, "_gpl");
SYMBOL_CRC(drm_gem_shmem_print_info, 0x05db07e3, "");
SYMBOL_CRC(drm_gem_shmem_get_sg_table, 0xf6b728ea, "_gpl");
SYMBOL_CRC(drm_gem_shmem_get_pages_sgt, 0x8f8e51a8, "_gpl");
SYMBOL_CRC(drm_gem_shmem_prime_import_sg_table, 0xa300a815, "_gpl");
SYMBOL_CRC(drm_fbdev_shmem_driver_fbdev_probe, 0xbd8aa263, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8a0d35d0, "try_module_get" },
	{ 0x4c9ede95, "drm_fb_helper_debug_enter" },
	{ 0x6e5f62ce, "ww_mutex_lock_interruptible" },
	{ 0xd2d16133, "vmf_insert_pfn" },
	{ 0xf0c7f952, "vmemmap" },
	{ 0x1f29626b, "drm_gem_get_pages" },
	{ 0x43030ea6, "dma_buf_vmap" },
	{ 0xa27d880c, "drm_client_buffer_vmap" },
	{ 0x7ebf4208, "drm_fb_helper_setcmap" },
	{ 0x211cfb, "drm_fb_helper_alloc_info" },
	{ 0x7ceb52d6, "drm_fb_helper_unprepare" },
	{ 0x43a4938f, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xb75045f4, "drm_fb_helper_fini" },
	{ 0x4bf89875, "page_noexec_mask" },
	{ 0x59cf78e1, "drm_client_framebuffer_delete" },
	{ 0x76f03afd, "drm_client_framebuffer_create" },
	{ 0xb36cf857, "invalidate_mapping_pages" },
	{ 0x2e8db862, "ww_mutex_unlock" },
	{ 0xe1cc5624, "drm_fb_helper_deferred_io" },
	{ 0x6e1fbbe1, "drm_fb_helper_release_info" },
	{ 0xc1f0756a, "unmap_mapping_range" },
	{ 0x94961283, "vunmap" },
	{ 0x5514a412, "dma_buf_mmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x6ec37199, "drm_driver_legacy_fb_format" },
	{ 0xef0084e5, "drm_fb_helper_fill_info" },
	{ 0x5421ad5e, "drm_gem_create_mmap_offset" },
	{ 0x28b3862e, "fb_deferred_io_init" },
	{ 0x8bb5ca08, "fb_deferred_io_cleanup" },
	{ 0xa0a14477, "dev_driver_string" },
	{ 0x8fbcd5e7, "fb_sys_write" },
	{ 0x7d84947c, "sys_imageblit" },
	{ 0xd5b86381, "drm_fb_helper_damage_range" },
	{ 0xf0e7f9a7, "drm_fb_helper_blank" },
	{ 0x5c921b5c, "drm_gem_private_object_init" },
	{ 0xc16d0c73, "drm_fb_helper_check_var" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xa2286b11, "drm_fb_helper_damage_area" },
	{ 0xcf69a0b7, "sys_fillrect" },
	{ 0x2995e262, "module_put" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe97dc906, "drm_gem_vm_close" },
	{ 0xf3861c3a, "drm_gem_vm_open" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0xeb5ba484, "drm_gem_object_release" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x5d716ab1, "ww_mutex_lock" },
	{ 0xeeb59c34, "vmap" },
	{ 0x590ae165, "drm_gem_handle_create" },
	{ 0x31851664, "drm_gem_fb_get_obj" },
	{ 0x2354d3c7, "__drm_dev_dbg" },
	{ 0xf57bbb47, "drm_prime_pages_to_sg" },
	{ 0xa7e6e143, "fb_deferred_io_mmap" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x8bad4ff4, "pgprot_writecombine" },
	{ 0x968efd20, "drm_fb_helper_pan_display" },
	{ 0xe02102f5, "dma_buf_vunmap" },
	{ 0x5e79f0f4, "drm_client_release" },
	{ 0x2d12e37b, "sys_copyarea" },
	{ 0x89e5b97, "shmem_truncate_range" },
	{ 0x4a59a39a, "drm_printf" },
	{ 0xac321782, "dma_map_sgtable" },
	{ 0x25cd666c, "drm_gem_free_mmap_offset" },
	{ 0x3338ca62, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe7a70fa9, "drm_client_buffer_vunmap" },
	{ 0x8f8988df, "fb_sys_read" },
	{ 0xab929bb, "drm_fb_helper_debug_leave" },
	{ 0x92e6d74e, "drm_gem_object_init_with_mnt" },
	{ 0xa7a860cc, "dma_unmap_sg_attrs" },
	{ 0x19c38ee5, "drm_gem_put_pages" },
	{ 0xa59c7009, "drm_gem_private_object_fini" },
	{ 0x3ab64803, "kmalloc_caches" },
	{ 0xd7d789b7, "drm_fb_helper_ioctl" },
	{ 0x15d283cc, "drm_fb_helper_set_par" },
	{ 0x7b5f1e73, "drm_prime_gem_destroy" },
	{ 0x81dd2bab, "module_layout" },
};

MODULE_INFO(depends, "drm_kms_helper,drm,fb,fb_sys_fops,sysimgblt,sysfillrect,syscopyarea");


MODULE_INFO(srcversion, "51CADFD3A0D3BC430E569F1");
MODULE_INFO(rhelversion, "9.99");
