#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rdma_event_msg, "", "");
KSYMTAB_FUNC(rdma_reject_msg, "", "");
KSYMTAB_FUNC(rdma_consumer_reject_data, "", "");
KSYMTAB_FUNC(rdma_iw_cm_id, "", "");
KSYMTAB_FUNC(rdma_res_to_id, "", "");
KSYMTAB_FUNC(__rdma_create_kernel_id, "", "");
KSYMTAB_FUNC(rdma_create_user_id, "", "");
KSYMTAB_FUNC(rdma_create_qp, "", "");
KSYMTAB_FUNC(rdma_destroy_qp, "", "");
KSYMTAB_FUNC(rdma_init_qp_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_id, "", "");
KSYMTAB_FUNC(rdma_get_service_id, "", "");
KSYMTAB_FUNC(rdma_read_gids, "", "");
KSYMTAB_FUNC(rdma_set_service_type, "", "");
KSYMTAB_FUNC(rdma_set_ack_timeout, "", "");
KSYMTAB_FUNC(rdma_set_min_rnr_timer, "", "");
KSYMTAB_FUNC(rdma_set_ib_path, "", "");
KSYMTAB_FUNC(rdma_resolve_route, "", "");
KSYMTAB_FUNC(rdma_set_reuseaddr, "", "");
KSYMTAB_FUNC(rdma_set_afonly, "", "");
KSYMTAB_FUNC(rdma_listen, "", "");
KSYMTAB_FUNC(rdma_resolve_addr, "", "");
KSYMTAB_FUNC(rdma_bind_addr, "", "");
KSYMTAB_FUNC(rdma_connect_locked, "", "");
KSYMTAB_FUNC(rdma_connect, "", "");
KSYMTAB_FUNC(rdma_connect_ece, "", "");
KSYMTAB_FUNC(rdma_accept, "", "");
KSYMTAB_FUNC(rdma_accept_ece, "", "");
KSYMTAB_FUNC(rdma_lock_handler, "", "");
KSYMTAB_FUNC(rdma_unlock_handler, "", "");
KSYMTAB_FUNC(rdma_notify, "", "");
KSYMTAB_FUNC(rdma_reject, "", "");
KSYMTAB_FUNC(rdma_disconnect, "", "");
KSYMTAB_FUNC(rdma_join_multicast, "", "");
KSYMTAB_FUNC(rdma_leave_multicast, "", "");

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0xe59c341d, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0xc29316c4, "");
SYMBOL_CRC(rdma_iw_cm_id, 0x3aad79ce, "");
SYMBOL_CRC(rdma_res_to_id, 0x60e605e1, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0x3984286c, "");
SYMBOL_CRC(rdma_create_user_id, 0x31a5b6de, "");
SYMBOL_CRC(rdma_create_qp, 0xbab56cd0, "");
SYMBOL_CRC(rdma_destroy_qp, 0x2b7c7c6c, "");
SYMBOL_CRC(rdma_init_qp_attr, 0x8c9fb160, "");
SYMBOL_CRC(rdma_destroy_id, 0x055355fb, "");
SYMBOL_CRC(rdma_get_service_id, 0x41f5a3e5, "");
SYMBOL_CRC(rdma_read_gids, 0x98b5e706, "");
SYMBOL_CRC(rdma_set_service_type, 0xb214aed8, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0x8e97fb2a, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0xf59e3a67, "");
SYMBOL_CRC(rdma_set_ib_path, 0x25cf9188, "");
SYMBOL_CRC(rdma_resolve_route, 0x79855235, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0xf528b840, "");
SYMBOL_CRC(rdma_set_afonly, 0xe2ad4f4f, "");
SYMBOL_CRC(rdma_listen, 0xac23127c, "");
SYMBOL_CRC(rdma_resolve_addr, 0xa911ac66, "");
SYMBOL_CRC(rdma_bind_addr, 0x72f997e0, "");
SYMBOL_CRC(rdma_connect_locked, 0x5106bf2a, "");
SYMBOL_CRC(rdma_connect, 0x4b3fdcb6, "");
SYMBOL_CRC(rdma_connect_ece, 0x77f175b6, "");
SYMBOL_CRC(rdma_accept, 0xe5adb690, "");
SYMBOL_CRC(rdma_accept_ece, 0xf22b9d81, "");
SYMBOL_CRC(rdma_lock_handler, 0xf0426715, "");
SYMBOL_CRC(rdma_unlock_handler, 0x81d14d37, "");
SYMBOL_CRC(rdma_notify, 0xb931993e, "");
SYMBOL_CRC(rdma_reject, 0x8d970858, "");
SYMBOL_CRC(rdma_disconnect, 0xeb2d4f36, "");
SYMBOL_CRC(rdma_join_multicast, 0x34728867, "");
SYMBOL_CRC(rdma_leave_multicast, 0x681a477d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9507c5dc, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x71e86fb, "iw_create_cm_id" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x95f8d9c0, "ib_unregister_client" },
	{ 0x2d8cff49, "netdev_walk_all_lower_dev_rcu" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5a472a9c, "ib_send_cm_sidr_rep" },
	{ 0x1f1fe53, "bpf_trace_run4" },
	{ 0x94ef1255, "config_group_init" },
	{ 0x89fa64cc, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x2b52afd3, "rdma_find_gid_by_port" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbdc88714, "trace_raw_output_prep" },
	{ 0x6f9d3ea1, "ib_cm_insert_listen" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x875e34fc, "__trace_trigger_soft_disabled" },
	{ 0xcff22166, "trace_event_printf" },
	{ 0x9573ffe4, "ib_sa_register_client" },
	{ 0x62b09e20, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1dd7422a, "rdma_query_gid" },
	{ 0xd0258aa6, "rt6_lookup" },
	{ 0x879248a0, "rdma_translate_ip" },
	{ 0x92a0dd99, "bpf_trace_run2" },
	{ 0xfe58b587, "rdma_dev_access_netns" },
	{ 0xa0eaacf1, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0xb7ae4893, "ib_destroy_cm_id" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0x5dbbf90f, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe230774a, "register_pernet_subsys" },
	{ 0xb0b98ab0, "trace_event_buffer_commit" },
	{ 0xf56a5468, "ip_mc_inc_group" },
	{ 0xfb87b956, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x5ae5fdc2, "ib_find_cached_pkey" },
	{ 0x92997ed8, "_printk" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x5f00a3bf, "iw_cm_connect" },
	{ 0xe4480f04, "rdma_restrack_add" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xf4d5ca59, "rdma_addr_cancel" },
	{ 0x5602a4d8, "ib_cm_notify" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x8f769b86, "ib_sa_get_mcmember_rec" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0xc394daac, "ib_register_client" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x45353e08, "ib_sa_path_rec_get" },
	{ 0x4be74c8d, "ib_create_cm_id" },
	{ 0x62e0e252, "__ip_mc_dec_group" },
	{ 0x8cd24fa9, "vlan_dev_real_dev" },
	{ 0x42212bdb, "ib_sa_unregister_client" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x7eec0ea2, "perf_trace_run_bpf_submit" },
	{ 0x2fe0c128, "ib_init_ah_from_mcmember" },
	{ 0x3a27ae63, "rdma_destroy_ah_attr" },
	{ 0x8565e273, "ib_set_client_data" },
	{ 0xf5881cd9, "init_net" },
	{ 0x779043fa, "ib_get_cached_pkey" },
	{ 0x27be081c, "configfs_register_subsystem" },
	{ 0x51428a7, "configfs_remove_default_groups" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x8cf5b3c, "rdma_put_gid_attr" },
	{ 0xe481f8df, "config_group_init_type_name" },
	{ 0xa8a1b7ed, "dev_get_by_index" },
	{ 0x917f4c2a, "iw_destroy_cm_id" },
	{ 0xd542296a, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xecc0e44a, "ib_send_cm_rep" },
	{ 0xdfabfe82, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x6a48bdb, "iw_cm_disconnect" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0x1866638e, "bpf_trace_run1" },
	{ 0xd5250d20, "ib_destroy_qp_user" },
	{ 0x44b575a2, "unregister_pernet_subsys" },
	{ 0x9e191d68, "ib_cm_init_qp_attr" },
	{ 0x9e64b8e5, "_dev_warn" },
	{ 0x1ce4c94f, "ib_send_cm_drep" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0xab0e3105, "rdma_restrack_set_name" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x6fd55568, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0x26638aad, "ib_get_cached_port_state" },
	{ 0x16c082d, "ib_send_cm_mra" },
	{ 0xe308669, "rdma_restrack_del" },
	{ 0x98f1ba32, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x83b52648, "bpf_trace_run3" },
	{ 0x69bdc606, "__put_net" },
	{ 0x957da01, "rdma_restrack_parent_name" },
	{ 0x8d7fc8e4, "iw_cm_accept" },
	{ 0x24b8ba17, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xc00f140d, "config_item_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3338ca62, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xabbeaaef, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0x20bbbe99, "iw_cm_init_qp_attr" },
	{ 0x4715d984, "dst_release" },
	{ 0xacfacf3a, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x5a9724c3, "ib_send_cm_dreq" },
	{ 0xd1477715, "ib_send_cm_req" },
	{ 0x4e8ac326, "ib_create_qp_kernel" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xe482fa5b, "ib_sa_join_multicast" },
	{ 0x6980484f, "roce_gid_type_mask_support" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x48e8633f, "rdma_get_gid_attr" },
	{ 0x2d36b2cc, "rdma_restrack_new" },
	{ 0xc0a53dc9, "__fib_lookup" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x8a712ede, "iw_cm_listen" },
	{ 0x8fcebee, "ib_send_cm_rej" },
	{ 0x35badcb1, "rdma_copy_src_l2_addr" },
	{ 0x3ab64803, "kmalloc_caches" },
	{ 0xc0c93295, "rdma_resolve_ip" },
	{ 0x81dd2bab, "module_layout" },
};

MODULE_INFO(depends, "ib_cm,ib_core,iw_cm");


MODULE_INFO(srcversion, "46F6C21343830E9B1D22FDB");
MODULE_INFO(rhelversion, "9.99");
