#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mlx5_core_uplink_netdev_event_replay, "", "");
KSYMTAB_FUNC(mlx5_core_mp_event_replay, "", "");
KSYMTAB_FUNC(mlx5_is_roce_on, "", "");
KSYMTAB_FUNC(mlx5_vf_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_vf_put_core_dev, "", "");
KSYMTAB_FUNC(mlx5_cmd_out_err, "", "");
KSYMTAB_FUNC(mlx5_cmd_check, "", "");
KSYMTAB_FUNC(mlx5_cmd_do, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_polling, "", "");
KSYMTAB_FUNC(mlx5_cmd_init_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_cleanup_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_cb, "", "");
KSYMTAB_DATA(mlx5_debugfs_root, "", "");
KSYMTAB_FUNC(mlx5_debugfs_get_dev_root, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_init, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_cleanup, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_add, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_remove, "", "");
KSYMTAB_FUNC(mlx5_core_query_vendor_id, "", "");
KSYMTAB_FUNC(mlx5_eq_enable, "", "");
KSYMTAB_FUNC(mlx5_eq_disable, "", "");
KSYMTAB_FUNC(mlx5_eq_create_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_destroy_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_get_eqe, "", "");
KSYMTAB_FUNC(mlx5_eq_update_ci, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get, "", "");
KSYMTAB_FUNC(mlx5_comp_vectors_max, "", "");
KSYMTAB_FUNC(mlx5_comp_vector_get_cpu, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_get_uars_page, "", "");
KSYMTAB_FUNC(mlx5_put_uars_page, "", "");
KSYMTAB_FUNC(mlx5_alloc_bfreg, "", "");
KSYMTAB_FUNC(mlx5_free_bfreg, "", "");
KSYMTAB_FUNC(mlx5_core_attach_mcg, "", "");
KSYMTAB_FUNC(mlx5_core_detach_mcg, "", "");
KSYMTAB_FUNC(mlx5_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_cq, "", "");
KSYMTAB_FUNC(mlx5_core_query_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq_moderation, "", "");
KSYMTAB_FUNC(mlx5_frag_buf_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_frag_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array_perm, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array, "_gpl", "");
KSYMTAB_FUNC(mlx5_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_caps, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ptys, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_ib_port_oper, "", "");
KSYMTAB_FUNC(mlx5_toggle_port_link, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_max_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_oper_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom_by_page, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_vl_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_query_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_create_psv, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_psv, "", "");
KSYMTAB_FUNC(mlx5_core_get_terminate_scatter_list_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_create_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_rq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rq, "", "");
KSYMTAB_FUNC(mlx5_core_query_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq_state, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_tir, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tir, "", "");
KSYMTAB_FUNC(mlx5_core_create_tis, "", "");
KSYMTAB_FUNC(mlx5_core_modify_tis, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tis, "", "");
KSYMTAB_FUNC(mlx5_core_create_rqt, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rqt, "", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_qkey_viol_cntr, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_gid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_pkey, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_update_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_query_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_enable_roce, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_disable_roce, "", "");
KSYMTAB_FUNC(mlx5_core_query_vport_counter, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_modify_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_affiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_unaffiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_vport_get_other_func_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_create_flow_table, "", "");
KSYMTAB_FUNC(mlx5_flow_table_id, "", "");
KSYMTAB_FUNC(mlx5_create_lag_demux_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_auto_grouped_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_flow_group, "", "");
KSYMTAB_FUNC(mlx5_add_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_del_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_table, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_group, "", "");
KSYMTAB_FUNC(mlx5_get_fdb_sub_ns, "", "");
KSYMTAB_FUNC(mlx5_get_flow_namespace, "", "");
KSYMTAB_FUNC(mlx5_fs_add_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_fs_remove_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_modify_header_alloc, "", "");
KSYMTAB_FUNC(mlx5_modify_header_dealloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_alloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_dealloc, "", "");
KSYMTAB_FUNC(mlx5_fc_create, "", "");
KSYMTAB_FUNC(mlx5_fc_id, "", "");
KSYMTAB_FUNC(mlx5_fc_destroy, "", "");
KSYMTAB_FUNC(mlx5_fc_query, "", "");
KSYMTAB_FUNC(mlx5_fc_local_create, "", "");
KSYMTAB_FUNC(mlx5_fc_local_destroy, "", "");
KSYMTAB_FUNC(mlx5_rl_is_in_range, "", "");
KSYMTAB_FUNC(mlx5_rl_are_equal, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate, "", "");
KSYMTAB_FUNC(mlx5_cmd_create_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_destroy_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_lag_is_roce, "", "");
KSYMTAB_FUNC(mlx5_lag_is_active, "", "");
KSYMTAB_FUNC(mlx5_lag_mode_is_hash, "", "");
KSYMTAB_FUNC(mlx5_lag_is_master, "", "");
KSYMTAB_FUNC(mlx5_lag_is_sriov, "", "");
KSYMTAB_FUNC(mlx5_lag_is_shared_fdb, "", "");
KSYMTAB_FUNC(mlx5_lag_get_slave_port, "", "");
KSYMTAB_FUNC(mlx5_lag_get_num_ports, "", "");
KSYMTAB_FUNC(mlx5_lag_get_next_peer_mdev, "", "");
KSYMTAB_FUNC(mlx5_lag_query_cong_counters, "", "");
KSYMTAB_FUNC(mlx5_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_core_reserved_gids_count, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_roce_gid_set, "", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_dealloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fw, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fw, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_create, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_destroy, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_next, "", "");
KSYMTAB_FUNC(mlx5_wc_support_get, "", "");
KSYMTAB_FUNC(mlx5_lag_is_mpesw, "", "");
KSYMTAB_FUNC(mlx5_eswitch_mode, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_encap_mode, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_total_vports, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_add_send_to_vport_rule, "", "");
KSYMTAB_FUNC(mlx5_eswitch_register_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_unregister_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_uplink_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_rep, "", "");
KSYMTAB_FUNC(mlx5_eswitch_reg_c1_loopback_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_match_metadata_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_match, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_set, "", "");
KSYMTAB_FUNC(mlx5_mpfs_add_mac, "", "");
KSYMTAB_FUNC(mlx5_mpfs_del_mac, "", "");
KSYMTAB_FUNC(mlx5_rdma_rn_get_params, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_create, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_destroy, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_sendmsg, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_read, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_write, "", "");
KSYMTAB_FUNC(mlx5_fpga_get_sbu_caps, "", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_ipsec_device_caps, "_gpl", "");

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0xffb89481, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0xac4aa071, "");
SYMBOL_CRC(mlx5_is_roce_on, 0xc363cbee, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0xc2087ba5, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0x0c4a03b7, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0x10fd5622, "");
SYMBOL_CRC(mlx5_cmd_check, 0x5b585313, "");
SYMBOL_CRC(mlx5_cmd_do, 0xe4f7ca52, "");
SYMBOL_CRC(mlx5_cmd_exec, 0xd1f3c9d8, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0x90008db4, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0xaf011c39, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0x84f52f7c, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0x9704918f, "");
SYMBOL_CRC(mlx5_debugfs_root, 0xd4711b9e, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0x55e2da23, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0x0511cdbd, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0x15f5308c, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0x3e6a631b, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0x64d425d4, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0x4237bbe8, "");
SYMBOL_CRC(mlx5_eq_enable, 0x140de73e, "");
SYMBOL_CRC(mlx5_eq_disable, 0x39086664, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0xd8dae559, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0x734f5b5c, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0xf8dba9eb, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0x460a67ea, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0x0bec98d8, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0x8101219d, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0xcd7d1cf3, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0x13f21e05, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0x9269661e, "");
SYMBOL_CRC(mlx5_get_uars_page, 0xca91ac0a, "");
SYMBOL_CRC(mlx5_put_uars_page, 0x1fa67902, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0xaaec6a71, "");
SYMBOL_CRC(mlx5_free_bfreg, 0x3ea48b0e, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0x30121656, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0x7ead774a, "");
SYMBOL_CRC(mlx5_create_cq, 0x96bb7b3f, "");
SYMBOL_CRC(mlx5_core_create_cq, 0x67b4c3ac, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0x79543bd5, "");
SYMBOL_CRC(mlx5_core_query_cq, 0x5411591e, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0x47dbbce6, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0xddf277f6, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0x6a32531d, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0x0a445aa4, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0x4281a5c4, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0xb39bb5c2, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0x562f7b39, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0xccbe6f7b, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0xbcb7acc5, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0xdc585631, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0x939165bb, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0x1e2d83a2, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0x3360d54e, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0x1b23a503, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0xa2aae0fe, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0xcbdcbfde, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0xf8c6e152, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0xdb63532f, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0x0378edd3, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0x90b67838, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0x5d809a25, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0xf7a8fc04, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0xc69d6fa4, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0x7fec2e08, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0x93ac9bf0, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0x6551136e, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0x0a6617bf, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0x495dc7ad, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0x9c84102f, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0x9e4a7be5, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0xab4dac19, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0xa5961c9a, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0x09882db3, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0xc29cbc93, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0xb27b936b, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0x5e6513f1, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0x102c3d4c, "");
SYMBOL_CRC(mlx5_core_create_psv, 0xb47238cf, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0x088d5642, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0x88b130b7, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0xffc785df, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0x4182fa5b, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0x3457e3e6, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0x841d69bc, "");
SYMBOL_CRC(mlx5_core_create_rq, 0x0a675611, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0x3b2d3949, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0xb9c3af12, "");
SYMBOL_CRC(mlx5_core_query_rq, 0x2bd8b6da, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0x6a57a5fc, "");
SYMBOL_CRC(mlx5_core_query_sq, 0x7aa22a6f, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0xbddd1244, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0x84361fb9, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0xfb99d9f0, "");
SYMBOL_CRC(mlx5_core_create_tis, 0x3f6c2226, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0xe5f98908, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0xb049e418, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0xba3467b3, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0xcebf1d5d, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0xb223817d, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0x41d52bf1, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0x8c6f3b39, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0xcedb7131, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0xe4c0dc92, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0xe89807e0, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0xfd11e5ce, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0x54d5d268, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0x1917239a, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0x2c71f8d7, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0x26f77005, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0x416e105d, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0x3f75d104, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0x63569a5e, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0x77aa2bb7, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0x08989177, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0xc1dab816, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0xebc72629, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0x0200df20, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0x98465b27, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0x71e005bc, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0xb7e3956f, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0x06deaa11, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0x04a15797, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0x22c68e53, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0x9d46c249, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0x68b084c4, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0xe22bbca3, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0xb401e716, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0xd6197257, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0xad861bc9, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0x973765b3, "");
SYMBOL_CRC(mlx5_create_flow_table, 0x1bdd9c8c, "");
SYMBOL_CRC(mlx5_flow_table_id, 0xbbf2cff9, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0x1fa9c274, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0x77fd7184, "");
SYMBOL_CRC(mlx5_create_flow_group, 0xe6731415, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0xa9c5bddc, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0xbeb4d913, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0x8c81bb92, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0x9010c06e, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0x208aee6e, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0xe0604111, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0x1585e0db, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0xf381ece5, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0x378c3078, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0x357ede1c, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0x3d2aeabc, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0xe19a03a1, "");
SYMBOL_CRC(mlx5_fc_create, 0x4df7193f, "");
SYMBOL_CRC(mlx5_fc_id, 0x1898c674, "");
SYMBOL_CRC(mlx5_fc_destroy, 0xe8e78c02, "");
SYMBOL_CRC(mlx5_fc_query, 0x7514d19b, "");
SYMBOL_CRC(mlx5_fc_local_create, 0xc4ed890d, "");
SYMBOL_CRC(mlx5_fc_local_destroy, 0xcf17b62e, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0x7335e12a, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0x94272bf3, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0x93e0a3ce, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0xfc68ca1c, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0xab12aa46, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0x24065c74, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0xe79ec240, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0x7d1f7e5e, "");
SYMBOL_CRC(mlx5_lag_is_active, 0xf70efed7, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0x282a2255, "");
SYMBOL_CRC(mlx5_lag_is_master, 0xc7543197, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0xcdc75cb2, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0x715a68bc, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0x078d7446, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0x19bf404f, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0x169588e3, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0x362baa5c, "");
SYMBOL_CRC(mlx5_notifier_register, 0x1a8e9c11, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0x8b516c4d, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0xbd2e6e15, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0xbc8e9dd9, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0x4f5f6eb3, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0xd571383e, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0x6e1b0bc8, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0xa4d297ea, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0x19182ed8, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0x94de3e5f, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0x3475821f, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0xb00c991b, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0x51979583, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0x9d6135dc, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0x78f76f4a, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0xa47c6cc9, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0x559ac38d, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0xd1e3d889, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0xc1f79b38, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0xfc8e744e, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0x774c09b4, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0xd58e7963, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0x7261330b, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0xeeb7b170, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0x122513e1, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0xeb9a8bcf, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0xa356d496, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0xede239c6, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0xf88d57b1, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0x1684df20, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0x743e4061, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0x4d5f5c07, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0x8b3d2e76, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0x3499e1d4, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0x7b359a09, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0x34827690, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0x59c88bad, "");
SYMBOL_CRC(mlx5_wc_support_get, 0x3991b945, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0x5cfc16ff, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0x50ece8c9, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0xacdbb514, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0x8e08ada8, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0x678bdc57, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0xaae373ec, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0xe0a3f8ae, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0x3c1e6369, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0x37c35948, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0xdafb8896, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0x3b514033, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0xf022bfc4, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0x5117ece8, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0x6a726602, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0x9f3962a3, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0xf44e3817, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0x524a44ae, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0x17728a3a, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_create, 0xae5d9d5e, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_destroy, 0xaf27939a, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_sendmsg, 0xce82331c, "");
SYMBOL_CRC(mlx5_fpga_mem_read, 0xe9635185, "");
SYMBOL_CRC(mlx5_fpga_mem_write, 0x72207094, "");
SYMBOL_CRC(mlx5_fpga_get_sbu_caps, 0x6a3cd8a5, "");
SYMBOL_CRC(mlx5_macsec_del_roce_rule, 0x42b43a38, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_rule, 0x3d08fdcc, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_sa_rules, 0x49566105, "_gpl");
SYMBOL_CRC(mlx5_macsec_del_roce_sa_rules, 0x390b982c, "_gpl");
SYMBOL_CRC(mlx5_ipsec_device_caps, 0x8b86c0f1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6d8c48f, "__tracepoint_xdp_exception" },
	{ 0x83d2710d, "__inet_lookup_established" },
	{ 0x5b02f711, "xsk_tx_completed" },
	{ 0x98fea7ef, "napi_alloc_skb" },
	{ 0x506a0f2f, "alloc_etherdev_mqs" },
	{ 0x402576ee, "netdev_lower_get_next" },
	{ 0x422da914, "secpath_set" },
	{ 0x6f40ba8b, "flow_block_cb_lookup" },
	{ 0x838c9d15, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x3e35b4c7, "devl_rate_leaf_create" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xfdca4a46, "xp_alloc" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xd61a7944, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x50f7f45c, "flow_rule_match_enc_keyid" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xf0c7f952, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0xa06e587a, "release_firmware" },
	{ 0xf9c46621, "bpf_prog_put" },
	{ 0xc4727ae, "page_pool_get_stats" },
	{ 0xb1e8126c, "down_timeout" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x750e3419, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf86a9ad9, "pci_cfg_access_unlock" },
	{ 0xf13eae9e, "xp_dma_map" },
	{ 0x1f1fe53, "bpf_trace_run4" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0x43b1e21f, "devlink_unregister" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0xcdf1f7b5, "skb_copy_bits" },
	{ 0x8aa08a, "debugfs_attr_write" },
	{ 0xe2af5aef, "dma_pool_create" },
	{ 0x4f57327d, "param_ops_uint" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0xc333a7f, "radix_tree_insert" },
	{ 0xe08d7eaa, "pci_msix_vec_count" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0x7204307d, "pci_enable_device" },
	{ 0xdb7cb613, "skb_put" },
	{ 0x5fe42156, "skb_tstamp_tx" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xf5d368f6, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0xbbca70a9, "flow_indr_dev_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x377d49db, "register_fib_notifier" },
	{ 0xa4027bd8, "auxiliary_device_init" },
	{ 0xeeba55cd, "ip6_dst_hoplimit" },
	{ 0xacf2fd52, "netdev_update_features" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x3b0b2192, "flow_rule_match_enc_ip" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x5529d6fb, "trace_seq_printf" },
	{ 0xce744643, "pci_alloc_irq_vectors" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x3a61bcc5, "pci_enable_atomic_ops_to_root" },
	{ 0x53d9bff4, "seq_release" },
	{ 0xf59b9248, "dev_add_pack" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd3af979c, "memdup_user" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0xbdc88714, "trace_raw_output_prep" },
	{ 0x8e50f0bc, "devlink_fmsg_arr_pair_nest_end" },
	{ 0x843db9fd, "xsk_clear_tx_need_wakeup" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xc600236e, "udp4_hwcsum" },
	{ 0xe254f4f8, "xa_get_mark" },
	{ 0xd2eada99, "devl_lock" },
	{ 0x7255b7e6, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x6ccb7512, "ndo_dflt_bridge_getlink" },
	{ 0xd2c69ae8, "unregister_netdev" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x9161282e, "xdp_convert_zc_to_xdp_frame" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x875e34fc, "__trace_trigger_soft_disabled" },
	{ 0xdef84f9f, "radix_tree_lookup" },
	{ 0x554d508f, "flow_rule_match_tcp" },
	{ 0x2e57b6bf, "__kmalloc_node_noprof" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x8bded20f, "zpci_load" },
	{ 0x948a642, "register_netdevice_notifier_dev_net" },
	{ 0x7c6f5b2b, "dma_unmap_page_attrs" },
	{ 0xcff22166, "trace_event_printf" },
	{ 0xe97c5bf1, "devlink_health_reporter_create" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x4bf89875, "page_noexec_mask" },
	{ 0x876c150e, "flow_rule_match_cvlan" },
	{ 0xa31d1dea, "__xa_erase" },
	{ 0x8a61b47b, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x519d9222, "xas_find" },
	{ 0xd566933c, "up" },
	{ 0x67e2272e, "refcount_dec_and_mutex_lock" },
	{ 0xa5157e18, "xdp_rxq_info_unused" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xe9b3ddec, "pci_num_vf" },
	{ 0xa37b4774, "debugfs_create_atomic_t" },
	{ 0xf9556621, "flow_rule_match_eth_addrs" },
	{ 0x8de52f9b, "pci_disable_ptm" },
	{ 0x30722e44, "xfrm_state_check_expire" },
	{ 0xf6c12796, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xe6469bec, "ptp_clock_index" },
	{ 0xd1c3d362, "pci_request_regions" },
	{ 0x16531b0, "___pskb_trim" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x62b09e20, "trace_event_raw_init" },
	{ 0x206fe9b4, "flow_block_cb_free" },
	{ 0x2656f374, "devl_port_fn_devlink_set" },
	{ 0x47fe539b, "is_kdump_kernel" },
	{ 0x236c8c64, "memcpy" },
	{ 0x790df263, "xp_can_alloc" },
	{ 0x18458797, "psample_sample_packet" },
	{ 0xacad833d, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0xd5a573ff, "devlink_alloc_ns" },
	{ 0x6e1f2012, "devl_rate_leaf_destroy" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x20f35f9b, "pci_sriov_get_totalvfs" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xc677f341, "devlink_register" },
	{ 0xbd56b2e9, "devlink_remote_reload_actions_performed" },
	{ 0xf8c3f39f, "devlink_fmsg_obj_nest_end" },
	{ 0xe3d6bf3d, "seq_lseek" },
	{ 0xead6866e, "page_pool_destroy" },
	{ 0x8ff478ca, "xdp_do_redirect" },
	{ 0xa83d7278, "devlink_free" },
	{ 0x8ade6dbc, "tls_get_record" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x78f00186, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x92a0dd99, "bpf_trace_run2" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0x67a25c7a, "netdev_warn" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0xcc90ccdc, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x45559686, "devl_rate_nodes_destroy" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x1b4d1fa6, "pci_irq_vector" },
	{ 0xa65f19e3, "flow_rule_match_ipv4_addrs" },
	{ 0x6c3697e, "ip_route_output_flow" },
	{ 0xea066330, "rhashtable_walk_enter" },
	{ 0x1281003, "devlink_fmsg_binary_put" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xa6022fa5, "__dynamic_dev_dbg" },
	{ 0x62a790ca, "sock_gen_put" },
	{ 0x4b8f4e7a, "down_read_trylock" },
	{ 0x10ec832c, "pci_unregister_driver" },
	{ 0xb928aa45, "netdev_rss_key_fill" },
	{ 0x909fda42, "blocking_notifier_chain_register" },
	{ 0x5a4ff59f, "netdev_err" },
	{ 0x814bf145, "pci_cfg_access_lock" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6ad7858f, "register_netdevice_notifier_net" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xa0a14477, "dev_driver_string" },
	{ 0xb053f36c, "netdev_port_same_parent_id" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0xb0b98ab0, "trace_event_buffer_commit" },
	{ 0x51edc249, "dev_addr_mod" },
	{ 0x893b215, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x8b2555, "ptp_find_pin" },
	{ 0x1cb0d894, "eth_type_trans" },
	{ 0x83dec9c6, "pci_read_config_dword" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x722c23a8, "request_firmware_direct" },
	{ 0xad8d0aa8, "flow_rule_match_icmp" },
	{ 0x61b2a6c8, "auxiliary_driver_unregister" },
	{ 0x3639042e, "dma_map_page_attrs" },
	{ 0xeab5b11c, "trace_seq_putc" },
	{ 0xa83a4899, "napi_complete_done" },
	{ 0x347abb90, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x719e34d3, "devlink_port_attrs_pci_vf_set" },
	{ 0x5e43824d, "priv_to_devlink" },
	{ 0x1eec1238, "blocking_notifier_call_chain" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xdae6954d, "vlan_dev_vlan_proto" },
	{ 0xc53ba24f, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x99e89fce, "put_device" },
	{ 0x8ee8543e, "net_dim" },
	{ 0x451cc9d4, "__napi_schedule" },
	{ 0x577b91e4, "devlink_port_health_reporter_create" },
	{ 0x959a6459, "__kmalloc_large_noprof" },
	{ 0xec799d48, "pcie_relaxed_ordering_enabled" },
	{ 0xd3aa4fc9, "xsk_set_rx_need_wakeup" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xa63a6d15, "devlink_port_attrs_pci_pf_set" },
	{ 0xa5a2a7a4, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x42c07368, "netif_device_detach" },
	{ 0xcd2b3645, "__free_pages" },
	{ 0x6276da41, "_dev_info" },
	{ 0xe5f4488c, "skb_vlan_pop" },
	{ 0xc238d2d1, "napi_gro_receive" },
	{ 0xd42e93f2, "netif_device_attach" },
	{ 0x9f298dad, "devl_resource_register" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x5ca4361f, "netdev_pick_tx" },
	{ 0x7219268c, "flow_indr_dev_unregister" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0x6d0d0d28, "xp_raw_get_dma" },
	{ 0xf21e3729, "eth_get_headlen" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x4721a11, "xdp_rxq_info_is_reg" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x932a10c0, "flow_rule_match_enc_opts" },
	{ 0xc2c5802, "work_busy" },
	{ 0x3e9a0a2c, "devlink_net" },
	{ 0x7fcc1f2e, "devlink_fmsg_bool_pair_put" },
	{ 0x31770310, "free_fib_info" },
	{ 0x5015d431, "devl_health_reporter_create" },
	{ 0xd8e86cb9, "flow_block_cb_setup_simple" },
	{ 0x800473f, "__cond_resched" },
	{ 0x7c27d4f2, "pci_msix_can_alloc_dyn" },
	{ 0xe4447914, "flow_rule_match_basic" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x5bedf95f, "unregister_netdevice_notifier_dev_net" },
	{ 0xea337218, "pci_find_capability" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0x74f91612, "pci_iov_vf_id" },
	{ 0x4b27d977, "devlink_fmsg_arr_pair_nest_start" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x1b3b0022, "debugfs_attr_read" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xe09dec83, "flow_rule_match_ct" },
	{ 0x2ddb834b, "__xa_alloc" },
	{ 0x8cd24fa9, "vlan_dev_real_dev" },
	{ 0xf1d992eb, "radix_tree_delete" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x3cb16c47, "__dma_sync_single_for_cpu" },
	{ 0x7311c465, "pci_msix_free_irq" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xabb5b29f, "__dev_get_by_index" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x7eec0ea2, "perf_trace_run_bpf_submit" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0xc78dfefd, "__irq_apply_affinity_hint" },
	{ 0x6e0decaa, "devlink_port_unregister" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x828c84f1, "dev_get_port_parent_id" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xa7105ac8, "_dev_err" },
	{ 0xf5881cd9, "init_net" },
	{ 0xd2510a63, "up_write" },
	{ 0x3a830707, "softnet_data" },
	{ 0xd5eb6e8a, "ipv6_stub" },
	{ 0x9d07400e, "simple_open" },
	{ 0x4666b29d, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0x45c9b8d2, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa73929bc, "simple_attr_release" },
	{ 0xf70f9ef, "ptp_clock_register" },
	{ 0x6bfc552, "devl_nested_devlink_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x4a13bafa, "xsk_tx_peek_desc" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xced67c48, "__traceiter_xdp_exception" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0x5db3287d, "netif_set_real_num_tx_queues" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xb9dbff5d, "sk_skb_reason_drop" },
	{ 0x9bf28ce4, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x5b745a3d, "xa_load" },
	{ 0xd63c46a7, "irq_get_irq_data" },
	{ 0x892cb11c, "dev_remove_pack" },
	{ 0x422d0ca8, "netif_set_real_num_rx_queues" },
	{ 0x81b433f2, "down" },
	{ 0xa8a1b7ed, "dev_get_by_index" },
	{ 0x13382a3a, "bpf_trace_run5" },
	{ 0xad2de08a, "flow_indr_block_cb_alloc" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x3220dd7a, "skb_store_bits" },
	{ 0x74c7fab, "devl_port_register_with_ops" },
	{ 0xd542296a, "dev_get_by_index_rcu" },
	{ 0xde2cc99a, "netdev_printk" },
	{ 0xa94ee689, "mlxfw_firmware_flash" },
	{ 0x929e4028, "devlink_fmsg_u32_put" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xbfe531e6, "pcie_capability_clear_and_set_word_locked" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xeb15aafe, "skb_push" },
	{ 0xd6e06051, "kmem_cache_free" },
	{ 0x39d694a8, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x97ff1c50, "debugfs_remove" },
	{ 0xa102c0ad, "pci_read_config_word" },
	{ 0xdf0e804b, "napi_enable" },
	{ 0x85abc85f, "strncmp" },
	{ 0x8bf3b089, "xsk_clear_rx_need_wakeup" },
	{ 0xde816c87, "seq_putc" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x35af4de4, "unregister_netdevice_notifier_net" },
	{ 0x50d7bfc0, "auxiliary_device_sysfs_irq_remove" },
	{ 0xb16f3a04, "xsk_uses_need_wakeup" },
	{ 0x536b1b27, "register_netdev" },
	{ 0x27e4f777, "unregister_fib_notifier" },
	{ 0xdfabfe82, "trace_event_reg" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0x92b0f8b2, "devlink_port_attrs_pci_sf_set" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1af267f8, "int_pow" },
	{ 0xa707d361, "debugfs_create_u64" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x6293395b, "free_netdev" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0xc1be5bfb, "debugfs_create_size_t" },
	{ 0x7a6d8ecd, "devl_params_register" },
	{ 0x90bbbe7a, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xff8cbf4b, "rhashtable_walk_start_check" },
	{ 0x86216acd, "__xa_set_mark" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xf834d15d, "page_pool_put_unrefed_netmem" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x2038aaf7, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x8a4e4480, "netif_set_xps_queue" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xbd4e416f, "__ethtool_get_link_ksettings" },
	{ 0x4eedd6f3, "rhashtable_walk_stop" },
	{ 0x15d85a57, "down_trylock" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb93a6a2e, "zpci_write_block" },
	{ 0x49dbb0b9, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x661b4a3, "pci_restore_state" },
	{ 0x1866638e, "bpf_trace_run1" },
	{ 0x4cdf0002, "__inet6_lookup_established" },
	{ 0xe8fc2d7a, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x89a4111f, "device_del" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x30696079, "rhashtable_free_and_destroy" },
	{ 0x609923db, "page_pool_create" },
	{ 0x50916806, "skb_checksum" },
	{ 0x809870e0, "devl_param_driverinit_value_set" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0x9e64b8e5, "_dev_warn" },
	{ 0xac27de10, "flow_rule_match_ports" },
	{ 0xa6832797, "devlink_fmsg_binary_pair_nest_start" },
	{ 0xd117895e, "__kmalloc_cache_node_noprof" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0xd2ff538a, "xfrm_replay_seqhi" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x21f15b4a, "devl_resources_unregister" },
	{ 0x61d8aa62, "ptp_clock_event" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xd95c1b53, "netif_schedule_queue" },
	{ 0x8bad4ff4, "pgprot_writecombine" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xb4863b72, "devlink_fmsg_u64_pair_put" },
	{ 0x95eb083, "pci_set_master" },
	{ 0x1b40824d, "devl_trap_groups_register" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc0a31d87, "debugfs_create_u32" },
	{ 0x3f0cf267, "kmem_cache_alloc_noprof" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xcd7aa706, "flow_rule_match_ipv6_addrs" },
	{ 0xb09f92c7, "netdev_set_tc_queue" },
	{ 0x65a7a23, "atomic_notifier_call_chain" },
	{ 0xc816a509, "devl_params_unregister" },
	{ 0xa58aac67, "ptp_clock_unregister" },
	{ 0x86f60367, "__pskb_pull_tail" },
	{ 0x90a159d, "xp_dma_unmap" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x547a3ba5, "__netdev_alloc_skb" },
	{ 0x6108288f, "complete_all" },
	{ 0x364354ba, "rhashtable_destroy" },
	{ 0xc8d81aeb, "devlink_trap_report" },
	{ 0x946b19b, "__kmem_cache_create_args" },
	{ 0x5157ed53, "__neigh_event_send" },
	{ 0x56bbb212, "flow_block_cb_alloc" },
	{ 0xa0994320, "devlink_fmsg_obj_nest_start" },
	{ 0x868bde1d, "down_write_trylock" },
	{ 0xf82d0eca, "dev_printk_emit" },
	{ 0x103bafd6, "down_read" },
	{ 0x9dd79943, "devl_traps_register" },
	{ 0x29bc893, "devl_unlock" },
	{ 0x4b6c3166, "__netif_napi_del_locked" },
	{ 0xd3f1a5c3, "__dynamic_netdev_dbg" },
	{ 0xe798236d, "jiffies" },
	{ 0xc7a2e3b6, "dma_set_coherent_mask" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x17ed02aa, "__neigh_create" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0xda9716f0, "flow_rule_match_enc_control" },
	{ 0x83b52648, "bpf_trace_run3" },
	{ 0x57eb42d8, "seq_read" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x8574bb03, "trace_print_flags_seq" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x8d9205e1, "ipv6_find_hdr" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x60c69018, "net_dim_get_rx_moderation" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xb584d37e, "rps_may_expire_flow" },
	{ 0xb9f9bc40, "metadata_dst_free" },
	{ 0xe4a95266, "blocking_notifier_chain_unregister" },
	{ 0xdc6446bd, "xsk_set_tx_need_wakeup" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x50ce753c, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3d44ffed, "netdev_reset_tc" },
	{ 0xf7aaf192, "neigh_destroy" },
	{ 0x77572737, "dma_free_attrs" },
	{ 0x7c24e239, "rhltable_init_noprof" },
	{ 0xb1b1c93e, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x4dcd4340, "rhashtable_init_noprof" },
	{ 0x24b8ba17, "trace_event_buffer_reserve" },
	{ 0x8a680203, "crc32_le_arch" },
	{ 0x4d99d138, "pci_reset_bus" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0xbe179e15, "page_pool_put_netmem_bulk" },
	{ 0x3ff809fc, "debugfs_create_x32" },
	{ 0xcf2f3336, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd849a727, "flow_rule_match_enc_ports" },
	{ 0xa61e8721, "xdp_return_frame_bulk" },
	{ 0xbb9d0dc5, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x47c20f8a, "refcount_dec_not_one" },
	{ 0xe8a4a899, "pci_release_regions" },
	{ 0xb3d05d0f, "netif_queue_set_napi" },
	{ 0xc1855908, "__dma_sync_single_for_device" },
	{ 0x989e1516, "xa_destroy" },
	{ 0xdfe177c2, "bpf_prog_add" },
	{ 0x9005f3a2, "net_dim_get_def_tx_moderation" },
	{ 0x42ae6d99, "xa_find" },
	{ 0x7ca31e55, "devl_assert_locked" },
	{ 0x2279ccce, "pcie_print_link_status" },
	{ 0x81fe5c5c, "xp_set_rxq_info" },
	{ 0x4482b633, "flow_rule_match_vlan" },
	{ 0x77221010, "devl_port_unregister" },
	{ 0x14dc97cc, "xdp_rxq_info_unreg" },
	{ 0x3b84f171, "page_pool_alloc_pages" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x799e93dd, "devl_param_driverinit_value_get" },
	{ 0xfeb6383, "napi_build_skb" },
	{ 0x1da8c5e7, "netdev_master_upper_dev_get_rcu" },
	{ 0x210a6fbe, "__xdp_rxq_info_reg" },
	{ 0xb7a07d8a, "xdp_set_features_flag" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3338ca62, "__kmalloc_cache_noprof" },
	{ 0x687e6ca7, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xb05cd11, "bpf_prog_inc" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xb1d1a5e2, "netif_carrier_event" },
	{ 0x56470118, "__warn_printk" },
	{ 0x755094cc, "netif_carrier_off" },
	{ 0x8163f593, "seq_printf" },
	{ 0x8fa804c1, "flow_rule_match_meta" },
	{ 0xf79faab3, "ip_send_check" },
	{ 0xe70e184a, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xbf5b0a00, "devlink_priv" },
	{ 0xf49f572f, "pci_enable_ptm" },
	{ 0xabe02a33, "devlink_port_register_with_ops" },
	{ 0xf85dab2e, "pci_disable_sriov" },
	{ 0xc89a4f98, "metadata_dst_alloc" },
	{ 0x4715d984, "dst_release" },
	{ 0xe2e01551, "netif_carrier_on" },
	{ 0x4b595abf, "netdev_set_num_tc" },
	{ 0x3039df8e, "dql_reset" },
	{ 0xca116ef3, "debugfs_create_file_full" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x3d88d5f2, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x5f4fe169, "alloc_pages_noprof" },
	{ 0x79cde696, "pci_disable_device" },
	{ 0x6638f664, "net_dim_get_def_rx_moderation" },
	{ 0xdc9fcddf, "net_dim_get_tx_moderation" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xa4cf9c1a, "xp_free" },
	{ 0xc045988c, "rhashtable_walk_next" },
	{ 0x4ac74d2c, "page_pool_update_nid" },
	{ 0x68c256f7, "single_release" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x47122b73, "dma_set_mask" },
	{ 0xefdb97ac, "__auxiliary_driver_register" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x8ba79d99, "netif_set_tso_max_size" },
	{ 0xc9812ce7, "vlan_dev_vlan_id" },
	{ 0x12dc7588, "__skb_flow_dissect" },
	{ 0x7c59284, "pci_msix_alloc_irq_at" },
	{ 0xdb4d66a9, "seq_open" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xd9f2368a, "skb_add_rx_frag_netmem" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0x7a553b43, "xdp_master_redirect" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x16c46e89, "skb_coalesce_rx_frag" },
	{ 0x7ced7339, "xp_raw_get_data" },
	{ 0x4ced12d2, "tls_validate_xmit_skb" },
	{ 0x70336943, "xa_set_mark" },
	{ 0xa3a026ab, "napi_schedule_prep" },
	{ 0x48f4a002, "qdisc_reset" },
	{ 0x3137e93f, "napi_consume_skb" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0x7030c412, "xp_alloc_batch" },
	{ 0x1cbb8f68, "flow_rule_match_mpls" },
	{ 0x5277011a, "napi_disable" },
	{ 0xdb76f9cd, "dev_kfree_skb_any_reason" },
	{ 0xc612ca27, "dcb_ieee_delapp" },
	{ 0x13ca093d, "bpf_trace_run7" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xec61e138, "devl_port_health_reporter_create" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x8295cb48, "debugfs_create_u8" },
	{ 0x594d24da, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x7eca053d, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0x4fc68c0f, "debugfs_create_dir" },
	{ 0x89a09837, "ioremap_prot" },
	{ 0xf18ec6a2, "ptp_schedule_worker" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x4bf1f369, "skb_ext_add" },
	{ 0x2b955ca, "pcie_bandwidth_available" },
	{ 0xa6dbf7dc, "pci_free_irq_vectors" },
	{ 0x5a5e7ea3, "simple_read_from_buffer" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0x5bd81840, "flow_rule_match_control" },
	{ 0x268178d6, "flow_rule_match_ip" },
	{ 0xa4053f68, "pci_enable_sriov" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x28d0285c, "rhashtable_walk_exit" },
	{ 0x1f905926, "auxiliary_device_sysfs_irq_add" },
	{ 0xf73567a0, "dcb_ieee_setapp" },
	{ 0xa4f34e7b, "devl_trap_groups_unregister" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x23132e71, "xsk_tx_release" },
	{ 0xfcec6cfc, "devl_traps_unregister" },
	{ 0xbee28b90, "pci_iov_get_pf_drvdata" },
	{ 0xeaca6c41, "pci_write_config_dword" },
	{ 0x3ab64803, "kmalloc_caches" },
	{ 0x98b541c8, "krealloc_noprof" },
	{ 0x87b579a2, "netdev_info" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xc68f91e9, "neigh_lookup" },
	{ 0x551d880, "kmem_cache_destroy" },
	{ 0x566792d8, "page_pool_put_unrefed_page" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x81dd2bab, "module_layout" },
};

MODULE_INFO(depends, "psample,tls,mlxfw");

MODULE_ALIAS("auxiliary:mlx5_core.eth");
MODULE_ALIAS("auxiliary:mlx5_core.sf");
MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");
MODULE_ALIAS("auxiliary:mlx5_core.eth-rep");

MODULE_INFO(srcversion, "4B60EF1570775384544E844");
MODULE_INFO(rhelversion, "9.99");
