#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mlxsw_pci_driver_register, "", "");
KSYMTAB_FUNC(mlxsw_pci_driver_unregister, "", "");

SYMBOL_CRC(mlxsw_pci_driver_register, 0x568a4dcd, "");
SYMBOL_CRC(mlxsw_pci_driver_unregister, 0xc79d9c74, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8854d198, "mlxsw_reg_write" },
	{ 0x838c9d15, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xf0c7f952, "vmemmap" },
	{ 0xf86a9ad9, "pci_cfg_access_unlock" },
	{ 0x7204307d, "pci_enable_device" },
	{ 0xdb7cb613, "skb_put" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xce744643, "pci_alloc_irq_vectors" },
	{ 0xa7765e88, "mlxsw_reg_query" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x8bded20f, "zpci_load" },
	{ 0x7c6f5b2b, "dma_unmap_page_attrs" },
	{ 0x4bf89875, "page_noexec_mask" },
	{ 0x8a61b47b, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xd1c3d362, "pci_request_regions" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xead6866e, "page_pool_destroy" },
	{ 0x78f00186, "netif_napi_add_weight_locked" },
	{ 0x1b4d1fa6, "pci_irq_vector" },
	{ 0xa6022fa5, "__dynamic_dev_dbg" },
	{ 0x844ae6af, "mlxsw_core_res_get" },
	{ 0x632314f1, "mlxsw_cmd_exec" },
	{ 0x10ec832c, "pci_unregister_driver" },
	{ 0x814bf145, "pci_cfg_access_lock" },
	{ 0xea839bd3, "pskb_expand_head" },
	{ 0xf3c9cafd, "mlxsw_core_bus_device_register" },
	{ 0xa0a14477, "dev_driver_string" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x3639042e, "dma_map_page_attrs" },
	{ 0xa83a4899, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x451cc9d4, "__napi_schedule" },
	{ 0xbb0bf612, "dev_set_threaded" },
	{ 0x800473f, "__cond_resched" },
	{ 0x2443135, "__pci_reset_function_locked" },
	{ 0x3cb16c47, "__dma_sync_single_for_cpu" },
	{ 0xa7105ac8, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x5cf3dd79, "mlxsw_core_bus_device_unregister" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xeb15aafe, "skb_push" },
	{ 0x39d694a8, "dma_alloc_attrs" },
	{ 0xdf0e804b, "napi_enable" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x6293395b, "free_netdev" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf834d15d, "page_pool_put_unrefed_netmem" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x38cdc47c, "mlxsw_core_skb_receive" },
	{ 0xcdeb3e49, "mlxsw_core_resources_query" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x661b4a3, "pci_restore_state" },
	{ 0x609923db, "page_pool_create" },
	{ 0x2200743f, "mlxsw_core_ptp_transmitted" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x95eb083, "pci_set_master" },
	{ 0x86f60367, "__pskb_pull_tail" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x4b6c3166, "__netif_napi_del_locked" },
	{ 0xe798236d, "jiffies" },
	{ 0xc7a2e3b6, "dma_set_coherent_mask" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x2a3b7349, "alloc_netdev_dummy" },
	{ 0x77572737, "dma_free_attrs" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xe8a4a899, "pci_release_regions" },
	{ 0x3b84f171, "page_pool_alloc_pages" },
	{ 0xfeb6383, "napi_build_skb" },
	{ 0x3338ca62, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x79cde696, "pci_disable_device" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x47122b73, "dma_set_mask" },
	{ 0xd9f2368a, "skb_add_rx_frag_netmem" },
	{ 0xf89280a3, "mlxsw_core_kvd_sizes_get" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xa3a026ab, "napi_schedule_prep" },
	{ 0x3137e93f, "napi_consume_skb" },
	{ 0x5277011a, "napi_disable" },
	{ 0xed06130, "mlxsw_core_res_valid" },
	{ 0x89a09837, "ioremap_prot" },
	{ 0xa6dbf7dc, "pci_free_irq_vectors" },
	{ 0x5c73d5a4, "mlxsw_core_sdq_supports_cqe_v2" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3ab64803, "kmalloc_caches" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x81dd2bab, "module_layout" },
};

MODULE_INFO(depends, "mlxsw_core");


MODULE_INFO(srcversion, "3D2977388AA39D71CCC042E");
MODULE_INFO(rhelversion, "9.99");
