#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0xaad75dca, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0xcf416bde, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0x5fbdb6ed, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0x0a93f522, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0xee18abce, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65026409, "__do_once_done" },
	{ 0x7938b54d, "ip6_route_input_lookup" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x6aa74423, "dev_pre_changeaddr_notify" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xfc18bb4, "dev_mc_sync" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0x96900256, "netdev_is_rx_handler_busy" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xacf2fd52, "netdev_update_features" },
	{ 0x79c096a5, "consume_skb" },
	{ 0x30608681, "ip6_local_out" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x6a3c7016, "dev_uc_sync" },
	{ 0x35c5a0db, "rtnl_link_register" },
	{ 0xca20e2d4, "netif_inherit_tso_max" },
	{ 0xdfb571a9, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0x6c3697e, "ip_route_output_flow" },
	{ 0x5de1c15, "unregister_netdevice_queue" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xf102cb80, "dev_uc_unsync" },
	{ 0xa7398de2, "ether_setup" },
	{ 0x5a4ff59f, "netdev_err" },
	{ 0xb1f4258b, "netdev_upper_dev_link" },
	{ 0xe230774a, "register_pernet_subsys" },
	{ 0x51edc249, "dev_addr_mod" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0xe02bdffd, "eth_header_parse" },
	{ 0x4b6c9b74, "netdev_rx_handler_unregister" },
	{ 0x66a2a4ed, "eth_header_cache_update" },
	{ 0xf71aac51, "nf_register_net_hooks" },
	{ 0x3b7d3123, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x42aabe0f, "ip_route_input_noref" },
	{ 0x800473f, "__cond_resched" },
	{ 0xabb5b29f, "__dev_get_by_index" },
	{ 0xa79fa091, "rtnl_link_unregister" },
	{ 0x4666b29d, "skb_pull" },
	{ 0xb9dbff5d, "sk_skb_reason_drop" },
	{ 0x23e07159, "netif_stacked_transfer_operstate" },
	{ 0xd2f5b53e, "netdev_upper_dev_unlink" },
	{ 0xff182e8, "nla_put" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd9a94525, "ns_capable" },
	{ 0xcf22fcb5, "nf_unregister_net_hooks" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2038aaf7, "ethtool_op_get_link" },
	{ 0xbd4e416f, "__ethtool_get_link_ksettings" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x44b575a2, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x86f60367, "__pskb_pull_tail" },
	{ 0x168466f9, "netif_rx" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xb0b30a19, "skb_scrub_packet" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0x50ce753c, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4e5af791, "vlan_vid_add" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0xd87fa66b, "call_netdevice_notifiers" },
	{ 0xb3ea62b, "vlan_vid_del" },
	{ 0x4239a0fd, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3338ca62, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x583dc509, "skb_clone" },
	{ 0x4715d984, "dst_release" },
	{ 0x304cab88, "netdev_rx_handler_register" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x8ceb4c09, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x20da736a, "eth_header_parse_protocol" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x475c5b82, "dev_mc_unsync" },
	{ 0xb6c24f3c, "dev_change_flags" },
	{ 0xb2335e87, "netdev_core_stats_inc" },
	{ 0xc2ee23ef, "dev_forward_skb" },
	{ 0x3ab64803, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc9852825, "register_netdevice" },
	{ 0x81dd2bab, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7920E8DF5052EF89DCCE0C1");
MODULE_INFO(rhelversion, "9.99");
