#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_reconfigure, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_DATA(fat_param_spec, "_gpl", "");
KSYMTAB_FUNC(fat_parse_param, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(fat_init_fs_context, "_gpl", "");
KSYMTAB_FUNC(fat_free_fc, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0xda018c33, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0xceb741cb, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0xbf7e305e, "_gpl");
SYMBOL_CRC(fat_scan, 0x0b2222c1, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0xf22220c2, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0xdbb14b26, "_gpl");
SYMBOL_CRC(fat_add_entries, 0xda746c87, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0xd6a2d9bb, "_gpl");
SYMBOL_CRC(fat_getattr, 0x1b3155ef, "_gpl");
SYMBOL_CRC(fat_setattr, 0x7dd9b870, "_gpl");
SYMBOL_CRC(fat_attach, 0xedb06dc1, "_gpl");
SYMBOL_CRC(fat_detach, 0x090282ef, "_gpl");
SYMBOL_CRC(fat_build_inode, 0x41fac0f5, "_gpl");
SYMBOL_CRC(fat_reconfigure, 0xb81467c6, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0x6ab8a2a1, "_gpl");
SYMBOL_CRC(fat_param_spec, 0x87052d1d, "_gpl");
SYMBOL_CRC(fat_parse_param, 0x4f64265c, "_gpl");
SYMBOL_CRC(fat_fill_super, 0xd4b02fe6, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0x7addd439, "_gpl");
SYMBOL_CRC(fat_init_fs_context, 0xb75b59ba, "_gpl");
SYMBOL_CRC(fat_free_fc, 0xed1e1709, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0x0e7474b2, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0x379a4de6, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0xa308794f, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0xe36671b8, "_gpl");
SYMBOL_CRC(fat_update_time, 0x3af4a7ad, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5cc194f, "filemap_fdatawrite" },
	{ 0xc6a9d332, "generic_fillattr" },
	{ 0x3fc778e, "setattr_prepare" },
	{ 0xaaa3a03e, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0x720095aa, "sync_blockdev_nowait" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x6ac42705, "make_vfsgid" },
	{ 0xf8c7bf02, "blk_start_plug" },
	{ 0xaa06d818, "clear_inode" },
	{ 0xe200a16e, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x3f121449, "fs_param_is_string" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x52492440, "new_inode" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xcf02345e, "mark_buffer_dirty" },
	{ 0x471d9382, "security_inode_setattr" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x102a24d1, "__find_get_block" },
	{ 0x1b344589, "filemap_fdatawrite_range" },
	{ 0xbd5204c4, "inode_needs_sync" },
	{ 0xb41d2cb2, "__blockdev_direct_IO" },
	{ 0xd308a29d, "d_make_root" },
	{ 0x863fc819, "__bforget" },
	{ 0x3eb5a260, "sb_set_blocksize" },
	{ 0xa65a412e, "block_truncate_page" },
	{ 0xf8bd5a13, "write_dirty_buffer" },
	{ 0x5ec34bab, "sync_filesystem" },
	{ 0x86a99fc0, "fsnotify" },
	{ 0xafd52b6c, "current_time" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x7eadd869, "from_vfsuid" },
	{ 0xcac8cccb, "inode_dio_wait" },
	{ 0xd79b4e6c, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x44a3a7d3, "cont_write_begin" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xef0d2c, "iput" },
	{ 0x3012ef23, "fs_param_is_enum" },
	{ 0xe39eba6, "fs_param_is_s32" },
	{ 0x93d9585c, "iter_file_splice_write" },
	{ 0x322443b1, "fs_param_is_bool" },
	{ 0xba80c627, "generic_file_write_iter" },
	{ 0xa479cc7b, "sync_inode_metadata" },
	{ 0xc2228c80, "make_vfsuid" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x2b52b47a, "fs_param_is_u32" },
	{ 0x1e337b98, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0x3de815b1, "block_invalidate_folio" },
	{ 0x98744e3e, "__breadahead" },
	{ 0xc0047367, "generic_write_end" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x813f89ce, "load_nls" },
	{ 0xf8baf5f2, "generic_cont_expand_simple" },
	{ 0xc65186fc, "truncate_inode_pages_final" },
	{ 0xa5e8be3e, "generic_file_mmap" },
	{ 0x3e4ace4b, "sync_mapping_buffers" },
	{ 0x5004e155, "ilookup" },
	{ 0x1c4f57b2, "invalidate_inode_buffers" },
	{ 0x7e02a9cb, "blk_finish_plug" },
	{ 0x1d9f729b, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7f36de32, "mnt_drop_write_file" },
	{ 0x5c887ada, "fs_param_is_gid" },
	{ 0xf80977a1, "inode_init_once" },
	{ 0x88006f0a, "compat_ptr_ioctl" },
	{ 0xac3d57d9, "__fsnotify_parent" },
	{ 0x800473f, "__cond_resched" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0xc9466704, "__brelse" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0x6e67bd65, "generic_file_read_iter" },
	{ 0x8f9f0c44, "inode_maybe_inc_iversion" },
	{ 0x899f9f51, "truncate_pagecache" },
	{ 0x847d7b87, "sync_dirty_buffer" },
	{ 0x6b987782, "setattr_copy" },
	{ 0xcc259127, "__wait_on_buffer" },
	{ 0x1259cd16, "set_nlink" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x4d52e9e7, "kmem_cache_alloc_lru_noprof" },
	{ 0xd6e06051, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x85abc85f, "strncmp" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x33e33d43, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc9bbb9d0, "from_vfsgid" },
	{ 0xebfd4e81, "write_inode_now" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x25562b46, "d_obtain_alias" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xe47cdb7b, "__bread_gfp" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x96980d84, "block_dirty_folio" },
	{ 0xf4f5ec49, "mpage_read_folio" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x9216e4ba, "__insert_inode_hash" },
	{ 0xe62c0e2c, "buffer_migrate_folio" },
	{ 0x3f0cf267, "kmem_cache_alloc_noprof" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x946b19b, "__kmem_cache_create_args" },
	{ 0x5d130c9c, "from_kgid_munged" },
	{ 0x103bafd6, "down_read" },
	{ 0x6f0bbe87, "truncate_setsize" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3defd11f, "generic_encode_ino32_fh" },
	{ 0x9b943589, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe24ae758, "igrab" },
	{ 0x1821ea9c, "generic_read_dir" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xd5dc0c04, "mpage_readahead" },
	{ 0xc8b3ca42, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0xc6c79584, "init_user_ns" },
	{ 0x601e3e1, "seq_write" },
	{ 0x3338ca62, "__kmalloc_cache_noprof" },
	{ 0x8163f593, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xbcd038b5, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0x664b7707, "blkdev_issue_flush" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x4266d957, "generic_fh_to_parent" },
	{ 0xff04ce06, "__fs_parse" },
	{ 0xa3dd747d, "filemap_splice_read" },
	{ 0x9a9e226a, "from_kuid_munged" },
	{ 0xd3598d06, "__generic_file_fsync" },
	{ 0x39487d17, "d_parent_ino" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xdb399649, "__mark_inode_dirty" },
	{ 0x29a60a48, "generic_file_llseek" },
	{ 0xf6d0a00a, "unload_nls" },
	{ 0x555ccb97, "up_read" },
	{ 0x9e71b756, "mark_buffer_dirty_inode" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xa1830f82, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0x3ab64803, "kmalloc_caches" },
	{ 0xa2286a57, "inode_set_ctime_to_ts" },
	{ 0xa698e5ce, "fs_param_is_uid" },
	{ 0x551d880, "kmem_cache_destroy" },
	{ 0x6891f16e, "blkdev_issue_discard" },
	{ 0x81dd2bab, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9BBCB43EF6FD213BAB3E9C8");
MODULE_INFO(rhelversion, "9.99");
