#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0x0eb28aa2, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0x73323cd1, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0x201ba2b8, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x68c3c6b1, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0xf9d1d0c7, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0xd977a438, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0xf2dbc5f1, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0x85331e73, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0xeae684d8, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0x0826ced7, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0x367052a7, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0x0e59f64c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xe9fff511, "ip6tun_encaps" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7080b473, "ipv6_chk_addr_and_flags" },
	{ 0xd542296a, "dev_get_by_index_rcu" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x4052c75c, "register_pernet_device" },
	{ 0xc25bb10e, "xfrm6_tunnel_register" },
	{ 0x35c5a0db, "rtnl_link_register" },
	{ 0x17997780, "xfrm6_tunnel_deregister" },
	{ 0xe6d7c5b4, "unregister_pernet_device" },
	{ 0xff182e8, "nla_put" },
	{ 0x5de1c15, "unregister_netdevice_queue" },
	{ 0x51edc249, "dev_addr_mod" },
	{ 0xd0258aa6, "rt6_lookup" },
	{ 0x4715d984, "dst_release" },
	{ 0xabb5b29f, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x8fd7a997, "ip_tunnel_header_ops" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa79fa091, "rtnl_link_unregister" },
	{ 0x30608681, "ip6_local_out" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xa8c0d0ef, "gro_cells_init" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xf5881cd9, "init_net" },
	{ 0xd47177f5, "alloc_netdev_mqs" },
	{ 0x536b1b27, "register_netdev" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x6293395b, "free_netdev" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x86f60367, "__pskb_pull_tail" },
	{ 0xc9852825, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe798236d, "jiffies" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0xaeabf05, "netdev_state_change" },
	{ 0x71fe20ed, "make_kuid" },
	{ 0x513fc63, "ip6_redirect" },
	{ 0x1a3aeef7, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3b7d3123, "ip6_route_output_flags" },
	{ 0x9a51c3d5, "xfrm_lookup" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xb0b30a19, "skb_scrub_packet" },
	{ 0x6c313ff0, "skb_realloc_headroom" },
	{ 0xacb57630, "skb_set_owner_w" },
	{ 0x79c096a5, "consume_skb" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x3f955d48, "ipv6_push_frag_opts" },
	{ 0xeb15aafe, "skb_push" },
	{ 0xb99ed9ab, "dst_cache_get" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x95b44595, "ipv6_dev_get_saddr" },
	{ 0xcdf1f7b5, "skb_copy_bits" },
	{ 0x2fecacdc, "dst_cache_set_ip6" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xf7aaf192, "neigh_destroy" },
	{ 0xeeba55cd, "ip6_dst_hoplimit" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbe3ff1, "iptunnel_handle_offloads" },
	{ 0x85bf2a47, "icmpv6_ndo_send" },
	{ 0x5740db55, "icmp_ndo_send" },
	{ 0xb9dbff5d, "sk_skb_reason_drop" },
	{ 0x583dc509, "skb_clone" },
	{ 0x4666b29d, "skb_pull" },
	{ 0x95a3287d, "icmp6_send" },
	{ 0x6c3697e, "ip_route_output_flow" },
	{ 0x42aabe0f, "ip_route_input_noref" },
	{ 0x66f18be0, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x1ad433fb, "gro_cells_receive" },
	{ 0x1cb0d894, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x9bb9c486, "__xfrm_policy_check" },
	{ 0x74ff37d3, "__iptunnel_pull_header" },
	{ 0xc89a4f98, "metadata_dst_alloc" },
	{ 0xd9a94525, "ns_capable" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x2e334644, "dev_get_tstats64" },
	{ 0x3b25d45d, "param_ops_bool" },
	{ 0x81dd2bab, "module_layout" },
};

MODULE_INFO(depends, "tunnel6");


MODULE_INFO(srcversion, "1E6FE9775AA0FB82F55A1ED");
MODULE_INFO(rhelversion, "9.99");
