#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0x5ac4c7b9, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0x8b9d7a75, "_gpl");
SYMBOL_CRC(tls_get_record, 0x8ade6dbc, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0x4ced12d2, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0x7f8e3965, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xded63d50, "sk_msg_free" },
	{ 0x1cee32cb, "tcp_bpf_sendmsg_redir" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf0c7f952, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbddf2efc, "tcp_read_sock" },
	{ 0x1f1fe53, "bpf_trace_run4" },
	{ 0xcdf1f7b5, "skb_copy_bits" },
	{ 0x89648ec2, "sk_page_frag_refill" },
	{ 0xdb7cb613, "skb_put" },
	{ 0xf3d4980a, "tcp_sendmsg_locked" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x79c096a5, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbdc88714, "trace_raw_output_prep" },
	{ 0xcd4a3a88, "sk_psock_msg_verdict" },
	{ 0xe5f1a94d, "bpf_trace_run6" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x875e34fc, "__trace_trigger_soft_disabled" },
	{ 0xcff22166, "trace_event_printf" },
	{ 0x6f1beff8, "iov_iter_get_pages2" },
	{ 0x16531b0, "___pskb_trim" },
	{ 0x62b09e20, "trace_event_raw_init" },
	{ 0xd11bac17, "check_zeroed_user" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0xd0b2c34f, "clean_acked_data_enable" },
	{ 0xecfd8a7a, "skb_splice_bits" },
	{ 0xddd16ca, "crypto_alloc_aead" },
	{ 0xb2bd5028, "__tracepoint_sk_data_ready" },
	{ 0xcc1b67e4, "crypto_aead_setauthsize" },
	{ 0xe2c72a6c, "crypto_aead_decrypt" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x2059ccd7, "sk_stream_error" },
	{ 0x705d912b, "sk_msg_recvmsg" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x6536b3f6, "sk_msg_memcopy_from_iter" },
	{ 0x2baf2523, "sk_error_report" },
	{ 0xe230774a, "register_pernet_subsys" },
	{ 0xfb9847f6, "put_cmsg" },
	{ 0x53b188e2, "__sk_flush_backlog" },
	{ 0xb0b98ab0, "trace_event_buffer_commit" },
	{ 0xc1a1de46, "crypto_destroy_tfm" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xc82fcd3d, "sk_psock_tls_strp_read" },
	{ 0xb59ad214, "sk_msg_clone" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x18131184, "__alloc_skb" },
	{ 0x4dfcd6c9, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x42a9cb23, "iov_iter_extract_pages" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x6021f7fe, "tcp_recv_skb" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xed1a259f, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x7eec0ea2, "perf_trace_run_bpf_submit" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x7887a490, "__traceiter_sk_data_ready" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xd2510a63, "up_write" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0x304ad9b9, "crypto_aead_encrypt" },
	{ 0xb9dbff5d, "sk_skb_reason_drop" },
	{ 0x13382a3a, "bpf_trace_run5" },
	{ 0x410478cb, "sk_free" },
	{ 0x3220dd7a, "skb_store_bits" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x62b935e8, "__sk_mem_reclaim" },
	{ 0x31200f61, "sk_stream_wait_memory" },
	{ 0xff182e8, "nla_put" },
	{ 0xdfabfe82, "trace_event_reg" },
	{ 0xce39dde7, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x52c3a47f, "sock_recv_errqueue" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xdc4c6ebe, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd2ee748a, "sk_msg_return_zero" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0x90ad6841, "skb_copy_datagram_iter" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x1866638e, "bpf_trace_run1" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x44b575a2, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x501b6871, "sock_efree" },
	{ 0x6629b096, "iov_iter_bvec" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x95994fe6, "kfree_skb_list_reason" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x222e0806, "clean_acked_data_disable" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x3293b4c8, "sk_msg_free_partial" },
	{ 0x103bafd6, "down_read" },
	{ 0x2c6f25ba, "skb_trim" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0x694005d5, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0xb70c84eb, "tcp_register_ulp" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x83b52648, "bpf_trace_run3" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0x7018df96, "sk_psock_drop" },
	{ 0x2f2902ce, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4aa0bd23, "skb_page_frag_refill" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0x24b8ba17, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x369e0247, "sk_msg_free_nocharge" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x7ff9bed0, "__folio_put" },
	{ 0x36deb27a, "remove_proc_entry" },
	{ 0x3338ca62, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x8163f593, "seq_printf" },
	{ 0x64f0a87, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x583dc509, "skb_clone" },
	{ 0x4715d984, "dst_release" },
	{ 0xf2df6658, "_copy_from_iter" },
	{ 0xb98479d6, "skb_copy_header" },
	{ 0xe956fa3a, "sk_msg_trim" },
	{ 0x5f4fe169, "alloc_pages_noprof" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xd4245824, "netdev_sk_get_lowest_dev" },
	{ 0x45fd59b2, "sk_msg_alloc" },
	{ 0xe7d8956e, "_copy_from_iter_nocache" },
	{ 0x3b173cac, "tcp_rate_check_app_limited" },
	{ 0x9e13c7c9, "tcp_poll" },
	{ 0x1c56890b, "iov_iter_revert" },
	{ 0xf3347b0d, "sk_msg_zerocopy_from_iter" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x170b5816, "skb_to_sgvec" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x6ba61bf9, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x3ab64803, "kmalloc_caches" },
	{ 0x61455780, "tcp_read_done" },
	{ 0xb73d864f, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x81dd2bab, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "322131A7941FD008C3B5761");
MODULE_INFO(rhelversion, "9.99");
