#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(__drm_crtc_commit_free, "", "");
KSYMTAB_FUNC(drm_crtc_commit_wait, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_release, "", "");
KSYMTAB_FUNC(drm_atomic_state_init, "", "");
KSYMTAB_FUNC(drm_atomic_state_alloc, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_clear, "", "");
KSYMTAB_FUNC(drm_atomic_state_clear, "", "");
KSYMTAB_FUNC(__drm_atomic_state_free, "", "");
KSYMTAB_FUNC(drm_atomic_get_crtc_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_init, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_fini, "", "");
KSYMTAB_FUNC(drm_atomic_get_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_add_encoder_bridges, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_connectors, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_planes, "", "");
KSYMTAB_FUNC(drm_atomic_check_only, "", "");
KSYMTAB_FUNC(drm_atomic_commit, "", "");
KSYMTAB_FUNC(drm_atomic_nonblocking_commit, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_print_new_state, "", "");
KSYMTAB_FUNC(drm_state_dump, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_prop_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_fb_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_connector, "", "");
KSYMTAB_FUNC(drm_is_current_master, "", "");
KSYMTAB_FUNC(drm_master_get, "", "");
KSYMTAB_FUNC(drm_file_get_master, "", "");
KSYMTAB_FUNC(drm_master_put, "", "");
KSYMTAB_FUNC(drm_master_internal_acquire, "", "");
KSYMTAB_FUNC(drm_master_internal_release, "", "");
KSYMTAB_FUNC(drm_plane_create_alpha_property, "", "");
KSYMTAB_FUNC(drm_plane_create_rotation_property, "", "");
KSYMTAB_FUNC(drm_rotation_simplify, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_property, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_immutable_property, "", "");
KSYMTAB_FUNC(drm_atomic_normalize_zpos, "", "");
KSYMTAB_FUNC(drm_plane_create_blend_mode_property, "", "");
KSYMTAB_FUNC(drm_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_bridge_add, "", "");
KSYMTAB_FUNC(drm_bridge_remove, "", "");
KSYMTAB_FUNC(drm_bridge_attach, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_valid, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_set, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_post_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_pre_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_check, "", "");
KSYMTAB_FUNC(drm_bridge_detect, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_get_modes, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_edid_read, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_enable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_disable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_notify, "_gpl", "");
KSYMTAB_FUNC(drm_clflush_pages, "", "");
KSYMTAB_FUNC(drm_clflush_sg, "", "");
KSYMTAB_FUNC(drm_clflush_virt_range, "", "");
KSYMTAB_FUNC(drm_need_swiotlb, "", "");
KSYMTAB_FUNC(drm_memcpy_from_wc, "", "");
KSYMTAB_FUNC(drm_color_ctm_s31_32_to_qm_n, "", "");
KSYMTAB_FUNC(drm_crtc_enable_color_mgmt, "", "");
KSYMTAB_FUNC(drm_mode_crtc_set_gamma_size, "", "");
KSYMTAB_FUNC(drm_plane_create_color_properties, "", "");
KSYMTAB_FUNC(drm_color_lut_check, "", "");
KSYMTAB_FUNC(drm_get_connector_type_name, "", "");
KSYMTAB_FUNC(drm_connector_init, "", "");
KSYMTAB_FUNC(drm_connector_dynamic_init, "", "");
KSYMTAB_FUNC(drm_connector_init_with_ddc, "", "");
KSYMTAB_FUNC(drmm_connector_init, "", "");
KSYMTAB_FUNC(drmm_connector_hdmi_init, "", "");
KSYMTAB_FUNC(drm_connector_attach_edid_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_encoder, "", "");
KSYMTAB_FUNC(drm_connector_has_possible_encoder, "", "");
KSYMTAB_FUNC(drm_connector_cleanup, "", "");
KSYMTAB_FUNC(drm_connector_register, "", "");
KSYMTAB_FUNC(drm_connector_dynamic_register, "", "");
KSYMTAB_FUNC(drm_connector_unregister, "", "");
KSYMTAB_FUNC(drm_get_connector_status_name, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_begin, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_next, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_end, "", "");
KSYMTAB_FUNC(drm_get_subpixel_order_name, "", "");
KSYMTAB_FUNC(drm_display_info_set_bus_formats, "", "");
KSYMTAB_FUNC(drm_get_tv_mode_from_name, "", "");
KSYMTAB_FUNC(drm_hdmi_connector_get_broadcast_rgb_name, "", "");
KSYMTAB_FUNC(drm_hdmi_connector_get_output_format_name, "", "");
KSYMTAB_FUNC(drm_mode_create_dvi_i_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_dp_subconnector_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_content_type_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties_legacy, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_mode_create_aspect_ratio_property, "", "");
KSYMTAB_FUNC(drm_mode_create_hdmi_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_dp_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_content_type_property, "", "");
KSYMTAB_FUNC(drm_mode_create_suggested_offset_properties, "", "");
KSYMTAB_FUNC(drm_connector_set_path_property, "", "");
KSYMTAB_FUNC(drm_connector_set_tile_property, "", "");
KSYMTAB_FUNC(drm_connector_set_link_status_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_max_bpc_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_hdr_output_metadata_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_broadcast_rgb_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_colorspace_property, "", "");
KSYMTAB_FUNC(drm_connector_atomic_hdr_metadata_equal, "", "");
KSYMTAB_FUNC(drm_connector_set_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation_with_quirk, "", "");
KSYMTAB_FUNC(drm_connector_set_orientation_from_panel, "", "");
KSYMTAB_FUNC(drm_connector_create_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_provider, "", "");
KSYMTAB_FUNC(drm_connector_update_privacy_screen, "", "");
KSYMTAB_FUNC(drm_connector_oob_hotplug_event, "", "");
KSYMTAB_FUNC(drm_mode_put_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_get_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_create_tile_group, "", "");
KSYMTAB_FUNC(drm_crtc_from_index, "", "");
KSYMTAB_FUNC(drm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(drmm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(__drmm_crtc_alloc_with_planes, "", "");
KSYMTAB_FUNC(drm_crtc_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_set_config_internal, "", "");
KSYMTAB_FUNC(drm_crtc_check_viewport, "", "");
KSYMTAB_FUNC(drm_crtc_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_put_dev, "", "");
KSYMTAB_FUNC(drm_dev_enter, "", "");
KSYMTAB_FUNC(drm_dev_exit, "", "");
KSYMTAB_FUNC(drm_dev_unplug, "", "");
KSYMTAB_FUNC(__devm_drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_get, "", "");
KSYMTAB_FUNC(drm_dev_put, "", "");
KSYMTAB_FUNC(drmm_cgroup_register_region, "_gpl", "");
KSYMTAB_FUNC(drm_dev_register, "", "");
KSYMTAB_FUNC(drm_dev_unregister, "", "");
KSYMTAB_FUNC(drm_edid_header_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_valid, "", "");
KSYMTAB_FUNC(drm_edid_override_connector_update, "", "");
KSYMTAB_FUNC(drm_edid_raw, "", "");
KSYMTAB_FUNC(drm_edid_alloc, "", "");
KSYMTAB_FUNC(drm_edid_dup, "", "");
KSYMTAB_FUNC(drm_edid_free, "", "");
KSYMTAB_FUNC(drm_probe_ddc, "", "");
KSYMTAB_FUNC(drm_get_edid, "", "");
KSYMTAB_FUNC(drm_edid_read_custom, "", "");
KSYMTAB_FUNC(drm_edid_read_ddc, "", "");
KSYMTAB_FUNC(drm_edid_read, "", "");
KSYMTAB_FUNC(drm_edid_get_product_id, "", "");
KSYMTAB_FUNC(drm_edid_print_product_id, "", "");
KSYMTAB_FUNC(drm_edid_get_panel_id, "", "");
KSYMTAB_FUNC(drm_edid_read_base_block, "", "");
KSYMTAB_FUNC(drm_get_edid_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_read_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_find_dmt, "", "");
KSYMTAB_FUNC(drm_match_cea_mode, "", "");
KSYMTAB_FUNC(drm_display_mode_from_cea_vic, "", "");
KSYMTAB_FUNC(drm_edid_match, "", "");
KSYMTAB_FUNC(drm_edid_get_monitor_name, "", "");
KSYMTAB_FUNC(drm_edid_to_sad, "", "");
KSYMTAB_FUNC(drm_edid_to_speaker_allocation, "", "");
KSYMTAB_FUNC(drm_av_sync_delay, "", "");
KSYMTAB_FUNC(drm_detect_hdmi_monitor, "", "");
KSYMTAB_FUNC(drm_detect_monitor_audio, "", "");
KSYMTAB_FUNC(drm_default_rgb_quant_range, "", "");
KSYMTAB_FUNC(drm_edid_connector_update, "", "");
KSYMTAB_FUNC(drm_edid_connector_add_modes, "", "");
KSYMTAB_FUNC(drm_connector_update_edid_property, "", "");
KSYMTAB_FUNC(drm_add_edid_modes, "", "");
KSYMTAB_FUNC(drm_add_modes_noedid, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_quant_range, "", "");
KSYMTAB_FUNC(drm_hdmi_vendor_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_edid_is_digital, "", "");
KSYMTAB_FUNC(drm_eld_sad_get, "", "");
KSYMTAB_FUNC(drm_eld_sad_set, "", "");
KSYMTAB_FUNC(drm_encoder_init, "", "");
KSYMTAB_FUNC(drm_encoder_cleanup, "", "");
KSYMTAB_FUNC(__drmm_encoder_alloc, "", "");
KSYMTAB_FUNC(drmm_encoder_init, "", "");
KSYMTAB_FUNC(drm_open, "", "");
KSYMTAB_FUNC(drm_release, "", "");
KSYMTAB_FUNC(drm_release_noglobal, "", "");
KSYMTAB_FUNC(drm_read, "", "");
KSYMTAB_FUNC(drm_poll, "", "");
KSYMTAB_FUNC(drm_event_reserve_init_locked, "", "");
KSYMTAB_FUNC(drm_event_reserve_init, "", "");
KSYMTAB_FUNC(drm_event_cancel_free, "", "");
KSYMTAB_FUNC(drm_send_event_timestamp_locked, "", "");
KSYMTAB_FUNC(drm_send_event_locked, "", "");
KSYMTAB_FUNC(drm_send_event, "", "");
KSYMTAB_FUNC(drm_memory_stats_is_zero, "", "");
KSYMTAB_FUNC(drm_print_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_fdinfo, "", "");
KSYMTAB_FUNC(mock_drm_getfile, "", "");
KSYMTAB_FUNC(drm_mode_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_driver_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_driver_color_mode_format, "", "");
KSYMTAB_FUNC(drm_format_info, "", "");
KSYMTAB_FUNC(drm_get_format_info, "", "");
KSYMTAB_FUNC(drm_format_info_block_width, "", "");
KSYMTAB_FUNC(drm_format_info_block_height, "", "");
KSYMTAB_FUNC(drm_format_info_bpp, "", "");
KSYMTAB_FUNC(drm_format_info_min_pitch, "", "");
KSYMTAB_FUNC(drm_framebuffer_check_src_coords, "", "");
KSYMTAB_FUNC(drm_internal_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_framebuffer_free, "", "");
KSYMTAB_FUNC(drm_framebuffer_init, "", "");
KSYMTAB_FUNC(drm_framebuffer_lookup, "", "");
KSYMTAB_FUNC(drm_framebuffer_unregister_private, "", "");
KSYMTAB_FUNC(drm_framebuffer_cleanup, "", "");
KSYMTAB_FUNC(drm_framebuffer_remove, "", "");
KSYMTAB_FUNC(drm_gem_object_init_with_mnt, "", "");
KSYMTAB_FUNC(drm_gem_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_fini, "", "");
KSYMTAB_FUNC(drm_gem_handle_delete, "", "");
KSYMTAB_FUNC(drm_gem_dumb_map_offset, "_gpl", "");
KSYMTAB_FUNC(drm_gem_handle_create, "", "");
KSYMTAB_FUNC(drm_gem_free_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset_size, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_get_pages, "", "");
KSYMTAB_FUNC(drm_gem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_objects_lookup, "", "");
KSYMTAB_FUNC(drm_gem_object_lookup, "", "");
KSYMTAB_FUNC(drm_gem_dma_resv_wait, "", "");
KSYMTAB_FUNC(drm_gem_object_release, "", "");
KSYMTAB_FUNC(drm_gem_object_free, "", "");
KSYMTAB_FUNC(drm_gem_vm_open, "", "");
KSYMTAB_FUNC(drm_gem_vm_close, "", "");
KSYMTAB_FUNC(drm_gem_mmap_obj, "", "");
KSYMTAB_FUNC(drm_gem_mmap, "", "");
KSYMTAB_FUNC(drm_gem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_lock, "", "");
KSYMTAB_FUNC(drm_gem_unlock, "", "");
KSYMTAB_FUNC(drm_gem_vmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_vunmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_lock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_unlock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_lru_init, "", "");
KSYMTAB_FUNC(drm_gem_lru_remove, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail_locked, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail, "", "");
KSYMTAB_FUNC(drm_gem_lru_scan, "", "");
KSYMTAB_FUNC(drm_gem_evict, "", "");
KSYMTAB_FUNC(drm_noop, "", "");
KSYMTAB_FUNC(drm_invalid_op, "", "");
KSYMTAB_FUNC(drm_ioctl_kernel, "", "");
KSYMTAB_FUNC(drm_ioctl, "", "");
KSYMTAB_FUNC(drm_ioctl_flags, "", "");
KSYMTAB_FUNC(__drmm_add_action, "", "");
KSYMTAB_FUNC(__drmm_add_action_or_reset, "", "");
KSYMTAB_FUNC(drmm_release_action, "", "");
KSYMTAB_FUNC(drmm_kmalloc, "", "");
KSYMTAB_FUNC(drmm_kstrdup, "_gpl", "");
KSYMTAB_FUNC(drmm_kfree, "", "");
KSYMTAB_FUNC(__drmm_mutex_release, "", "");
KSYMTAB_FUNC(__drm_mm_interval_first, "", "");
KSYMTAB_FUNC(drm_mm_reserve_node, "", "");
KSYMTAB_FUNC(drm_mm_insert_node_in_range, "", "");
KSYMTAB_FUNC(drm_mm_remove_node, "", "");
KSYMTAB_FUNC(drm_mm_scan_init_with_range, "", "");
KSYMTAB_FUNC(drm_mm_scan_add_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_remove_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_color_evict, "", "");
KSYMTAB_FUNC(drm_mm_init, "", "");
KSYMTAB_FUNC(drm_mm_takedown, "", "");
KSYMTAB_FUNC(drm_mm_print, "", "");
KSYMTAB_FUNC(drm_mode_config_reset, "", "");
KSYMTAB_FUNC(drmm_mode_config_init, "", "");
KSYMTAB_FUNC(drm_mode_config_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_object_add, "", "");
KSYMTAB_FUNC(drm_mode_object_find, "", "");
KSYMTAB_FUNC(drm_mode_object_put, "", "");
KSYMTAB_FUNC(drm_mode_object_get, "", "");
KSYMTAB_FUNC(drm_object_attach_property, "", "");
KSYMTAB_FUNC(drm_object_property_set_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_default_value, "", "");
KSYMTAB_FUNC(drm_mode_obj_find_prop_id, "", "");
KSYMTAB_FUNC(drm_mode_debug_printmodeline, "", "");
KSYMTAB_FUNC(drm_mode_create, "", "");
KSYMTAB_FUNC(drm_mode_destroy, "", "");
KSYMTAB_FUNC(drm_mode_probed_add, "", "");
KSYMTAB_FUNC(drm_analog_tv_mode, "", "");
KSYMTAB_FUNC(drm_cvt_mode, "", "");
KSYMTAB_FUNC(drm_gtf_mode_complex, "", "");
KSYMTAB_FUNC(drm_gtf_mode, "", "");
KSYMTAB_FUNC(drm_mode_set_name, "", "");
KSYMTAB_FUNC(drm_mode_vrefresh, "", "");
KSYMTAB_FUNC(drm_mode_get_hv_timing, "", "");
KSYMTAB_FUNC(drm_mode_set_crtcinfo, "", "");
KSYMTAB_FUNC(drm_mode_copy, "", "");
KSYMTAB_FUNC(drm_mode_init, "", "");
KSYMTAB_FUNC(drm_mode_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_match, "", "");
KSYMTAB_FUNC(drm_mode_equal, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks_no_stereo, "", "");
KSYMTAB_FUNC(drm_mode_validate_driver, "", "");
KSYMTAB_FUNC(drm_mode_validate_size, "", "");
KSYMTAB_FUNC(drm_mode_validate_ycbcr420, "", "");
KSYMTAB_FUNC(drm_mode_prune_invalid, "", "");
KSYMTAB_FUNC(drm_mode_sort, "", "");
KSYMTAB_FUNC(drm_connector_list_update, "", "");
KSYMTAB_FUNC(drm_mode_parse_command_line_for_connector, "", "");
KSYMTAB_FUNC(drm_mode_create_from_cmdline_mode, "", "");
KSYMTAB_FUNC(drm_mode_is_420_only, "", "");
KSYMTAB_FUNC(drm_mode_is_420_also, "", "");
KSYMTAB_FUNC(drm_mode_is_420, "", "");
KSYMTAB_FUNC(drm_set_preferred_mode, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all, "", "");
KSYMTAB_FUNC(drm_modeset_unlock_all, "", "");
KSYMTAB_FUNC(drm_warn_on_modeset_not_all_locked, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_init, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_fini, "", "");
KSYMTAB_FUNC(drm_modeset_drop_locks, "", "");
KSYMTAB_FUNC(drm_modeset_backoff, "", "");
KSYMTAB_FUNC(drm_modeset_lock_init, "", "");
KSYMTAB_FUNC(drm_modeset_lock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_single_interruptible, "", "");
KSYMTAB_FUNC(drm_modeset_unlock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all_ctx, "", "");
KSYMTAB_FUNC(drm_universal_plane_init, "", "");
KSYMTAB_FUNC(__drmm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(__drm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(drm_plane_cleanup, "", "");
KSYMTAB_FUNC(drm_plane_from_index, "", "");
KSYMTAB_FUNC(drm_plane_force_disable, "", "");
KSYMTAB_FUNC(drm_mode_plane_set_obj_prop, "", "");
KSYMTAB_FUNC(drm_plane_has_format, "", "");
KSYMTAB_FUNC(drm_any_plane_has_format, "", "");
KSYMTAB_FUNC(drm_plane_enable_fb_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips_count, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_plane_add_size_hints_property, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_export, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_release, "", "");
KSYMTAB_FUNC(drm_gem_prime_fd_to_handle, "", "");
KSYMTAB_FUNC(drm_gem_prime_handle_to_dmabuf, "", "");
KSYMTAB_FUNC(drm_gem_prime_handle_to_fd, "", "");
KSYMTAB_FUNC(drm_gem_map_attach, "", "");
KSYMTAB_FUNC(drm_gem_map_detach, "", "");
KSYMTAB_FUNC(drm_gem_map_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_unmap_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_prime_mmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_mmap, "", "");
KSYMTAB_FUNC(drm_prime_pages_to_sg, "", "");
KSYMTAB_FUNC(drm_prime_get_contiguous_size, "", "");
KSYMTAB_FUNC(drm_gem_prime_export, "", "");
KSYMTAB_FUNC(drm_gem_prime_import_dev, "", "");
KSYMTAB_FUNC(drm_gem_prime_import, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_page_array, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_dma_addr_array, "", "");
KSYMTAB_FUNC(drm_prime_gem_destroy, "", "");
KSYMTAB_DATA(__drm_debug, "", "");
KSYMTAB_FUNC(__drm_puts_coredump, "", "");
KSYMTAB_FUNC(__drm_printfn_coredump, "", "");
KSYMTAB_FUNC(__drm_puts_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_info, "", "");
KSYMTAB_FUNC(__drm_printfn_dbg, "", "");
KSYMTAB_FUNC(__drm_printfn_err, "", "");
KSYMTAB_FUNC(__drm_printfn_line, "", "");
KSYMTAB_FUNC(drm_puts, "", "");
KSYMTAB_FUNC(drm_printf, "", "");
KSYMTAB_FUNC(drm_print_bits, "", "");
KSYMTAB_FUNC(drm_dev_printk, "", "");
KSYMTAB_FUNC(__drm_dev_dbg, "", "");
KSYMTAB_FUNC(__drm_err, "", "");
KSYMTAB_FUNC(drm_print_regset32, "", "");
KSYMTAB_FUNC(drm_print_hex_dump, "", "");
KSYMTAB_FUNC(drm_property_create, "", "");
KSYMTAB_FUNC(drm_property_create_enum, "", "");
KSYMTAB_FUNC(drm_property_create_bitmask, "", "");
KSYMTAB_FUNC(drm_property_create_range, "", "");
KSYMTAB_FUNC(drm_property_create_signed_range, "", "");
KSYMTAB_FUNC(drm_property_create_object, "", "");
KSYMTAB_FUNC(drm_property_create_bool, "", "");
KSYMTAB_FUNC(drm_property_add_enum, "", "");
KSYMTAB_FUNC(drm_property_destroy, "", "");
KSYMTAB_FUNC(drm_property_create_blob, "", "");
KSYMTAB_FUNC(drm_property_blob_put, "", "");
KSYMTAB_FUNC(drm_property_blob_get, "", "");
KSYMTAB_FUNC(drm_property_lookup_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_global_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob_from_id, "", "");
KSYMTAB_FUNC(drm_rect_intersect, "", "");
KSYMTAB_FUNC(drm_rect_clip_scaled, "", "");
KSYMTAB_FUNC(drm_rect_calc_hscale, "", "");
KSYMTAB_FUNC(drm_rect_calc_vscale, "", "");
KSYMTAB_FUNC(drm_rect_debug_print, "", "");
KSYMTAB_FUNC(drm_rect_rotate, "", "");
KSYMTAB_FUNC(drm_rect_rotate_inv, "", "");
KSYMTAB_FUNC(drm_syncobj_find, "", "");
KSYMTAB_FUNC(drm_syncobj_add_point, "", "");
KSYMTAB_FUNC(drm_syncobj_replace_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_find_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_free, "", "");
KSYMTAB_FUNC(drm_syncobj_create, "", "");
KSYMTAB_FUNC(drm_syncobj_get_handle, "", "");
KSYMTAB_FUNC(drm_syncobj_get_fd, "", "");
KSYMTAB_FUNC(drm_timeout_abs_to_jiffies, "", "");
KSYMTAB_FUNC(drm_sysfs_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_property_event, "", "");
KSYMTAB_FUNC(drm_class_device_register, "_gpl", "");
KSYMTAB_FUNC(drm_class_device_unregister, "_gpl", "");
KSYMTAB_FUNC(drm_crtc_vblank_crtc, "", "");
KSYMTAB_FUNC(drm_crtc_accurate_vblank_count, "", "");
KSYMTAB_FUNC(drm_vblank_init, "", "");
KSYMTAB_FUNC(drm_dev_has_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_waitqueue, "", "");
KSYMTAB_FUNC(drm_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count_and_time, "", "");
KSYMTAB_FUNC(drm_crtc_next_vblank_start, "", "");
KSYMTAB_FUNC(drm_crtc_arm_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_send_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_get, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_put, "", "");
KSYMTAB_FUNC(drm_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_off, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_reset, "", "");
KSYMTAB_FUNC(drm_crtc_set_max_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_on_config, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_on, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_restore, "", "");
KSYMTAB_FUNC(drm_handle_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_handle_vblank, "", "");
KSYMTAB_FUNC(drm_vblank_work_schedule, "", "");
KSYMTAB_FUNC(drm_vblank_work_cancel_sync, "", "");
KSYMTAB_FUNC(drm_vblank_work_flush, "", "");
KSYMTAB_FUNC(drm_vblank_work_flush_all, "", "");
KSYMTAB_FUNC(drm_vblank_work_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_destroy, "", "");
KSYMTAB_FUNC(drm_vma_offset_lookup_locked, "", "");
KSYMTAB_FUNC(drm_vma_offset_add, "", "");
KSYMTAB_FUNC(drm_vma_offset_remove, "", "");
KSYMTAB_FUNC(drm_vma_node_allow, "", "");
KSYMTAB_FUNC(drm_vma_node_allow_once, "", "");
KSYMTAB_FUNC(drm_vma_node_revoke, "", "");
KSYMTAB_FUNC(drm_vma_node_is_allowed, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init_with_encoder, "", "");
KSYMTAB_FUNC(drm_writeback_prepare_job, "", "");
KSYMTAB_FUNC(drm_writeback_queue_job, "", "");
KSYMTAB_FUNC(drm_writeback_cleanup_job, "", "");
KSYMTAB_FUNC(drm_writeback_signal_completion, "", "");
KSYMTAB_FUNC(drm_writeback_get_out_fence, "", "");
KSYMTAB_FUNC(drm_client_init, "", "");
KSYMTAB_FUNC(drm_client_register, "", "");
KSYMTAB_FUNC(drm_client_release, "", "");
KSYMTAB_FUNC(drm_client_buffer_vmap_local, "", "");
KSYMTAB_FUNC(drm_client_buffer_vunmap_local, "", "");
KSYMTAB_FUNC(drm_client_buffer_vmap, "", "");
KSYMTAB_FUNC(drm_client_buffer_vunmap, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_delete, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_flush, "", "");
KSYMTAB_FUNC(drm_client_dev_unregister, "", "");
KSYMTAB_FUNC(drm_client_dev_hotplug, "", "");
KSYMTAB_FUNC(drm_client_dev_suspend, "", "");
KSYMTAB_FUNC(drm_client_dev_resume, "", "");
KSYMTAB_FUNC(drm_client_modeset_probe, "", "");
KSYMTAB_FUNC(drm_client_rotation, "", "");
KSYMTAB_FUNC(drm_client_modeset_check, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit_locked, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit, "", "");
KSYMTAB_FUNC(drm_client_modeset_dpms, "", "");
KSYMTAB_FUNC(drm_prandom_u32_max_state, "", "");
KSYMTAB_FUNC(drm_random_reorder, "", "");
KSYMTAB_FUNC(drm_random_order, "", "");
KSYMTAB_FUNC(drm_compat_ioctl, "", "");
KSYMTAB_FUNC(drm_panel_init, "", "");
KSYMTAB_FUNC(drm_panel_add, "", "");
KSYMTAB_FUNC(drm_panel_remove, "", "");
KSYMTAB_FUNC(drm_panel_prepare, "", "");
KSYMTAB_FUNC(drm_panel_unprepare, "", "");
KSYMTAB_FUNC(drm_panel_enable, "", "");
KSYMTAB_FUNC(drm_panel_disable, "", "");
KSYMTAB_FUNC(drm_panel_get_modes, "", "");
KSYMTAB_FUNC(drm_is_panel_follower, "", "");
KSYMTAB_FUNC(drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_remove_follower, "", "");
KSYMTAB_FUNC(devm_drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_debugfs_gpuva_info, "", "");
KSYMTAB_FUNC(drm_debugfs_create_files, "", "");
KSYMTAB_FUNC(drm_debugfs_remove_files, "", "");
KSYMTAB_FUNC(drm_debugfs_add_file, "", "");
KSYMTAB_FUNC(drm_debugfs_add_files, "", "");
KSYMTAB_FUNC(drm_crtc_add_crc_entry, "_gpl", "");

SYMBOL_CRC(__drm_crtc_commit_free, 0xae277372, "");
SYMBOL_CRC(drm_crtc_commit_wait, 0x441ebd3a, "");
SYMBOL_CRC(drm_atomic_state_default_release, 0xae585686, "");
SYMBOL_CRC(drm_atomic_state_init, 0x99a9d76b, "");
SYMBOL_CRC(drm_atomic_state_alloc, 0xea3f9cc4, "");
SYMBOL_CRC(drm_atomic_state_default_clear, 0x42de947a, "");
SYMBOL_CRC(drm_atomic_state_clear, 0x126d453e, "");
SYMBOL_CRC(__drm_atomic_state_free, 0xb9cad492, "");
SYMBOL_CRC(drm_atomic_get_crtc_state, 0x0e94cb9f, "");
SYMBOL_CRC(drm_atomic_get_plane_state, 0xda74ac45, "");
SYMBOL_CRC(drm_atomic_private_obj_init, 0x3a6ebe59, "");
SYMBOL_CRC(drm_atomic_private_obj_fini, 0x08c60ebd, "");
SYMBOL_CRC(drm_atomic_get_private_obj_state, 0x4bdb5499, "");
SYMBOL_CRC(drm_atomic_get_old_private_obj_state, 0x7c12b746, "");
SYMBOL_CRC(drm_atomic_get_new_private_obj_state, 0xfd63f551, "");
SYMBOL_CRC(drm_atomic_get_old_connector_for_encoder, 0x3241a98c, "");
SYMBOL_CRC(drm_atomic_get_new_connector_for_encoder, 0xb330eb9b, "");
SYMBOL_CRC(drm_atomic_get_old_crtc_for_encoder, 0x33231061, "");
SYMBOL_CRC(drm_atomic_get_new_crtc_for_encoder, 0x3971b873, "");
SYMBOL_CRC(drm_atomic_get_connector_state, 0x8cf51e37, "");
SYMBOL_CRC(drm_atomic_get_bridge_state, 0x25bc16d5, "");
SYMBOL_CRC(drm_atomic_get_old_bridge_state, 0xe7529af4, "");
SYMBOL_CRC(drm_atomic_get_new_bridge_state, 0x14e1b914, "");
SYMBOL_CRC(drm_atomic_add_encoder_bridges, 0x2427c9cc, "");
SYMBOL_CRC(drm_atomic_add_affected_connectors, 0x666507dc, "");
SYMBOL_CRC(drm_atomic_add_affected_planes, 0xa0a3fa2a, "");
SYMBOL_CRC(drm_atomic_check_only, 0x1d87e923, "");
SYMBOL_CRC(drm_atomic_commit, 0x7d0cfe66, "");
SYMBOL_CRC(drm_atomic_nonblocking_commit, 0xd74f159d, "");
SYMBOL_CRC(__drm_atomic_helper_disable_plane, 0x280a16da, "");
SYMBOL_CRC(__drm_atomic_helper_set_config, 0x976450e3, "");
SYMBOL_CRC(drm_atomic_print_new_state, 0x436dac22, "");
SYMBOL_CRC(drm_state_dump, 0xe612ca51, "");
SYMBOL_CRC(drm_atomic_set_mode_for_crtc, 0x88f93ec4, "");
SYMBOL_CRC(drm_atomic_set_mode_prop_for_crtc, 0x32d158fe, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_plane, 0x7167f569, "");
SYMBOL_CRC(drm_atomic_set_fb_for_plane, 0x39a3f926, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_connector, 0xa30d140b, "");
SYMBOL_CRC(drm_is_current_master, 0xb93596b5, "");
SYMBOL_CRC(drm_master_get, 0x5f37daad, "");
SYMBOL_CRC(drm_file_get_master, 0x402432d5, "");
SYMBOL_CRC(drm_master_put, 0xcf754634, "");
SYMBOL_CRC(drm_master_internal_acquire, 0x7ae06e77, "");
SYMBOL_CRC(drm_master_internal_release, 0x827912dc, "");
SYMBOL_CRC(drm_plane_create_alpha_property, 0x5983e2b2, "");
SYMBOL_CRC(drm_plane_create_rotation_property, 0xb9ed4175, "");
SYMBOL_CRC(drm_rotation_simplify, 0xdf666902, "");
SYMBOL_CRC(drm_plane_create_zpos_property, 0xa769ae7b, "");
SYMBOL_CRC(drm_plane_create_zpos_immutable_property, 0x9e84bbd5, "");
SYMBOL_CRC(drm_atomic_normalize_zpos, 0x15c838f2, "");
SYMBOL_CRC(drm_plane_create_blend_mode_property, 0x2a9c0a00, "");
SYMBOL_CRC(drm_bridge_add, 0x0d1fe053, "");
SYMBOL_CRC(devm_drm_bridge_add, 0x0bfb0c10, "");
SYMBOL_CRC(drm_bridge_remove, 0xa1875cc8, "");
SYMBOL_CRC(drm_bridge_attach, 0xcec6d402, "");
SYMBOL_CRC(drm_bridge_chain_mode_valid, 0x664fac99, "");
SYMBOL_CRC(drm_bridge_chain_mode_set, 0xbbfe2da9, "");
SYMBOL_CRC(drm_atomic_bridge_chain_disable, 0xbb3318bb, "");
SYMBOL_CRC(drm_atomic_bridge_chain_post_disable, 0xe22b5019, "");
SYMBOL_CRC(drm_atomic_bridge_chain_pre_enable, 0x5cb9cb1f, "");
SYMBOL_CRC(drm_atomic_bridge_chain_enable, 0x6a1b005c, "");
SYMBOL_CRC(drm_atomic_bridge_chain_check, 0x72b3ff9b, "");
SYMBOL_CRC(drm_bridge_detect, 0x1fc18fe4, "_gpl");
SYMBOL_CRC(drm_bridge_get_modes, 0xfdcffe25, "_gpl");
SYMBOL_CRC(drm_bridge_edid_read, 0x8a9c4977, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_enable, 0x576063c8, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_disable, 0x964c1cf0, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_notify, 0xf7951718, "_gpl");
SYMBOL_CRC(drm_clflush_pages, 0x80309c0a, "");
SYMBOL_CRC(drm_clflush_sg, 0x69e1bf40, "");
SYMBOL_CRC(drm_clflush_virt_range, 0x0a72f765, "");
SYMBOL_CRC(drm_need_swiotlb, 0xb6127243, "");
SYMBOL_CRC(drm_memcpy_from_wc, 0xa38c4c94, "");
SYMBOL_CRC(drm_color_ctm_s31_32_to_qm_n, 0xad4e902b, "");
SYMBOL_CRC(drm_crtc_enable_color_mgmt, 0x800915d5, "");
SYMBOL_CRC(drm_mode_crtc_set_gamma_size, 0x3a5c6a57, "");
SYMBOL_CRC(drm_plane_create_color_properties, 0x7b7e5de7, "");
SYMBOL_CRC(drm_color_lut_check, 0x91b64bbc, "");
SYMBOL_CRC(drm_get_connector_type_name, 0xf406e46a, "");
SYMBOL_CRC(drm_connector_init, 0x037e8dac, "");
SYMBOL_CRC(drm_connector_dynamic_init, 0x0be0c249, "");
SYMBOL_CRC(drm_connector_init_with_ddc, 0x7710ba9a, "");
SYMBOL_CRC(drmm_connector_init, 0x05262618, "");
SYMBOL_CRC(drmm_connector_hdmi_init, 0xb7ac0200, "");
SYMBOL_CRC(drm_connector_attach_edid_property, 0x00e7f5cc, "");
SYMBOL_CRC(drm_connector_attach_encoder, 0x03804de6, "");
SYMBOL_CRC(drm_connector_has_possible_encoder, 0x0b6655a5, "");
SYMBOL_CRC(drm_connector_cleanup, 0xbb35583a, "");
SYMBOL_CRC(drm_connector_register, 0x96b01a83, "");
SYMBOL_CRC(drm_connector_dynamic_register, 0x358dc718, "");
SYMBOL_CRC(drm_connector_unregister, 0x432ed586, "");
SYMBOL_CRC(drm_get_connector_status_name, 0x0fd60df2, "");
SYMBOL_CRC(drm_connector_list_iter_begin, 0x9c10f231, "");
SYMBOL_CRC(drm_connector_list_iter_next, 0xb58ab937, "");
SYMBOL_CRC(drm_connector_list_iter_end, 0x5246bd83, "");
SYMBOL_CRC(drm_get_subpixel_order_name, 0x107742a9, "");
SYMBOL_CRC(drm_display_info_set_bus_formats, 0xd4099a0b, "");
SYMBOL_CRC(drm_get_tv_mode_from_name, 0xdaff2cdf, "");
SYMBOL_CRC(drm_hdmi_connector_get_broadcast_rgb_name, 0x4e966c75, "");
SYMBOL_CRC(drm_hdmi_connector_get_output_format_name, 0x273dc9d6, "");
SYMBOL_CRC(drm_mode_create_dvi_i_properties, 0xbfcbe790, "");
SYMBOL_CRC(drm_connector_attach_dp_subconnector_property, 0x6b8d6ae8, "");
SYMBOL_CRC(drm_connector_attach_content_type_property, 0x097fe834, "");
SYMBOL_CRC(drm_connector_attach_tv_margin_properties, 0x69b6d284, "");
SYMBOL_CRC(drm_mode_create_tv_margin_properties, 0x52617c1d, "");
SYMBOL_CRC(drm_mode_create_tv_properties_legacy, 0x74f2b7c6, "");
SYMBOL_CRC(drm_mode_create_tv_properties, 0xc09f9180, "");
SYMBOL_CRC(drm_mode_create_scaling_mode_property, 0x4204fd3c, "");
SYMBOL_CRC(drm_connector_attach_vrr_capable_property, 0xdd9099b6, "");
SYMBOL_CRC(drm_connector_attach_scaling_mode_property, 0x890fcc68, "");
SYMBOL_CRC(drm_mode_create_aspect_ratio_property, 0x85bbdcb5, "");
SYMBOL_CRC(drm_mode_create_hdmi_colorspace_property, 0x549744ca, "");
SYMBOL_CRC(drm_mode_create_dp_colorspace_property, 0x467e59a9, "");
SYMBOL_CRC(drm_mode_create_content_type_property, 0xf9ac8309, "");
SYMBOL_CRC(drm_mode_create_suggested_offset_properties, 0x2a572b8c, "");
SYMBOL_CRC(drm_connector_set_path_property, 0xa83c98ae, "");
SYMBOL_CRC(drm_connector_set_tile_property, 0x7f0e425b, "");
SYMBOL_CRC(drm_connector_set_link_status_property, 0xb6dcab42, "");
SYMBOL_CRC(drm_connector_attach_max_bpc_property, 0xe30852ff, "");
SYMBOL_CRC(drm_connector_attach_hdr_output_metadata_property, 0x1dffd6e4, "");
SYMBOL_CRC(drm_connector_attach_broadcast_rgb_property, 0x79203676, "");
SYMBOL_CRC(drm_connector_attach_colorspace_property, 0x68ca9928, "");
SYMBOL_CRC(drm_connector_atomic_hdr_metadata_equal, 0xc747a3b2, "");
SYMBOL_CRC(drm_connector_set_vrr_capable_property, 0x8e4b5ac5, "");
SYMBOL_CRC(drm_connector_set_panel_orientation, 0xaa1d73ca, "");
SYMBOL_CRC(drm_connector_set_panel_orientation_with_quirk, 0x760d3f42, "");
SYMBOL_CRC(drm_connector_set_orientation_from_panel, 0xd7c347b1, "");
SYMBOL_CRC(drm_connector_create_privacy_screen_properties, 0xfdba9239, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_properties, 0x9c095583, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_provider, 0xcc951991, "");
SYMBOL_CRC(drm_connector_update_privacy_screen, 0xfa363aea, "");
SYMBOL_CRC(drm_connector_oob_hotplug_event, 0x75d731d6, "");
SYMBOL_CRC(drm_mode_put_tile_group, 0xef7bdc37, "");
SYMBOL_CRC(drm_mode_get_tile_group, 0xac9ccc62, "");
SYMBOL_CRC(drm_mode_create_tile_group, 0xbc7b3540, "");
SYMBOL_CRC(drm_crtc_from_index, 0xcfb1e332, "");
SYMBOL_CRC(drm_crtc_init_with_planes, 0x7efc35bc, "");
SYMBOL_CRC(drmm_crtc_init_with_planes, 0xffe6dda5, "");
SYMBOL_CRC(__drmm_crtc_alloc_with_planes, 0x6b4b91e6, "");
SYMBOL_CRC(drm_crtc_cleanup, 0xc02da26d, "");
SYMBOL_CRC(drm_mode_set_config_internal, 0xb778303d, "");
SYMBOL_CRC(drm_crtc_check_viewport, 0xca055393, "");
SYMBOL_CRC(drm_crtc_create_scaling_filter_property, 0xca609cc6, "");
SYMBOL_CRC(drm_put_dev, 0x42533a21, "");
SYMBOL_CRC(drm_dev_enter, 0x7f4a2716, "");
SYMBOL_CRC(drm_dev_exit, 0xe8a034df, "");
SYMBOL_CRC(drm_dev_unplug, 0x5fcaa214, "");
SYMBOL_CRC(__devm_drm_dev_alloc, 0x8ed63c98, "");
SYMBOL_CRC(drm_dev_alloc, 0x1f69f437, "");
SYMBOL_CRC(drm_dev_get, 0xc6730eb3, "");
SYMBOL_CRC(drm_dev_put, 0x1e9b320f, "");
SYMBOL_CRC(drmm_cgroup_register_region, 0xd35f0da0, "_gpl");
SYMBOL_CRC(drm_dev_register, 0x126ea955, "");
SYMBOL_CRC(drm_dev_unregister, 0x9f8953db, "");
SYMBOL_CRC(drm_edid_header_is_valid, 0x9b9de1c1, "");
SYMBOL_CRC(drm_edid_is_valid, 0xc4200dab, "");
SYMBOL_CRC(drm_edid_valid, 0xb3750192, "");
SYMBOL_CRC(drm_edid_override_connector_update, 0x44c2e025, "");
SYMBOL_CRC(drm_edid_raw, 0x98fed39f, "");
SYMBOL_CRC(drm_edid_alloc, 0xa6943fc6, "");
SYMBOL_CRC(drm_edid_dup, 0xb212dc3e, "");
SYMBOL_CRC(drm_edid_free, 0x397c3d27, "");
SYMBOL_CRC(drm_probe_ddc, 0xd19eb010, "");
SYMBOL_CRC(drm_get_edid, 0x4cc8b742, "");
SYMBOL_CRC(drm_edid_read_custom, 0x46e76660, "");
SYMBOL_CRC(drm_edid_read_ddc, 0xc8f50c5d, "");
SYMBOL_CRC(drm_edid_read, 0x566f0a82, "");
SYMBOL_CRC(drm_edid_get_product_id, 0x38d55d21, "");
SYMBOL_CRC(drm_edid_print_product_id, 0x0976ba9b, "");
SYMBOL_CRC(drm_edid_get_panel_id, 0xe75a9a81, "");
SYMBOL_CRC(drm_edid_read_base_block, 0xe7f93831, "");
SYMBOL_CRC(drm_get_edid_switcheroo, 0x1877d449, "");
SYMBOL_CRC(drm_edid_read_switcheroo, 0xff76d6a0, "");
SYMBOL_CRC(drm_edid_duplicate, 0x5f7137ba, "");
SYMBOL_CRC(drm_mode_find_dmt, 0x52ea4b21, "");
SYMBOL_CRC(drm_match_cea_mode, 0x9b285573, "");
SYMBOL_CRC(drm_display_mode_from_cea_vic, 0x337a5ed1, "");
SYMBOL_CRC(drm_edid_match, 0x05eb4392, "");
SYMBOL_CRC(drm_edid_get_monitor_name, 0x5e5128bf, "");
SYMBOL_CRC(drm_edid_to_sad, 0x4124e206, "");
SYMBOL_CRC(drm_edid_to_speaker_allocation, 0x47e22e1f, "");
SYMBOL_CRC(drm_av_sync_delay, 0xbea4e4a2, "");
SYMBOL_CRC(drm_detect_hdmi_monitor, 0xa44eb44e, "");
SYMBOL_CRC(drm_detect_monitor_audio, 0xe4116245, "");
SYMBOL_CRC(drm_default_rgb_quant_range, 0x65702bd6, "");
SYMBOL_CRC(drm_edid_connector_update, 0x97668da6, "");
SYMBOL_CRC(drm_edid_connector_add_modes, 0xdb802275, "");
SYMBOL_CRC(drm_connector_update_edid_property, 0xe33408a1, "");
SYMBOL_CRC(drm_add_edid_modes, 0x0dfc6549, "");
SYMBOL_CRC(drm_add_modes_noedid, 0xa758df0d, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_from_display_mode, 0x1d23553e, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_quant_range, 0x59c7c65e, "");
SYMBOL_CRC(drm_hdmi_vendor_infoframe_from_display_mode, 0xf5b94cc2, "");
SYMBOL_CRC(drm_edid_is_digital, 0xc518d486, "");
SYMBOL_CRC(drm_eld_sad_get, 0xe8fa400a, "");
SYMBOL_CRC(drm_eld_sad_set, 0xc53a8214, "");
SYMBOL_CRC(drm_encoder_init, 0xa0d694f5, "");
SYMBOL_CRC(drm_encoder_cleanup, 0x6439d1dd, "");
SYMBOL_CRC(__drmm_encoder_alloc, 0x98c46a98, "");
SYMBOL_CRC(drmm_encoder_init, 0xba5d1b42, "");
SYMBOL_CRC(drm_open, 0xda495711, "");
SYMBOL_CRC(drm_release, 0xf7ee6b81, "");
SYMBOL_CRC(drm_release_noglobal, 0xd74379d1, "");
SYMBOL_CRC(drm_read, 0x197e72a4, "");
SYMBOL_CRC(drm_poll, 0x8fc1d155, "");
SYMBOL_CRC(drm_event_reserve_init_locked, 0xa6d27ff2, "");
SYMBOL_CRC(drm_event_reserve_init, 0x3582d7b3, "");
SYMBOL_CRC(drm_event_cancel_free, 0x210663c6, "");
SYMBOL_CRC(drm_send_event_timestamp_locked, 0xb97df96f, "");
SYMBOL_CRC(drm_send_event_locked, 0x694613b0, "");
SYMBOL_CRC(drm_send_event, 0x11d528ed, "");
SYMBOL_CRC(drm_memory_stats_is_zero, 0x07650d87, "");
SYMBOL_CRC(drm_print_memory_stats, 0x3a586a55, "");
SYMBOL_CRC(drm_show_memory_stats, 0x263b530c, "");
SYMBOL_CRC(drm_show_fdinfo, 0xf79f9a98, "");
SYMBOL_CRC(mock_drm_getfile, 0x3edd3e44, "");
SYMBOL_CRC(drm_mode_legacy_fb_format, 0x29f078d1, "");
SYMBOL_CRC(drm_driver_legacy_fb_format, 0x6ec37199, "");
SYMBOL_CRC(drm_driver_color_mode_format, 0x908500ce, "");
SYMBOL_CRC(drm_format_info, 0x55eb38da, "");
SYMBOL_CRC(drm_get_format_info, 0x033e29f1, "");
SYMBOL_CRC(drm_format_info_block_width, 0x74fc6fbd, "");
SYMBOL_CRC(drm_format_info_block_height, 0x982d09b3, "");
SYMBOL_CRC(drm_format_info_bpp, 0xe633a4cd, "");
SYMBOL_CRC(drm_format_info_min_pitch, 0x6910e4cd, "");
SYMBOL_CRC(drm_framebuffer_check_src_coords, 0x9791985e, "");
SYMBOL_CRC(drm_internal_framebuffer_create, 0x7f416590, "");
SYMBOL_CRC(drm_framebuffer_free, 0xd4f8a3e1, "");
SYMBOL_CRC(drm_framebuffer_init, 0x804423e7, "");
SYMBOL_CRC(drm_framebuffer_lookup, 0x16a6c0d9, "");
SYMBOL_CRC(drm_framebuffer_unregister_private, 0x732b2010, "");
SYMBOL_CRC(drm_framebuffer_cleanup, 0xc6a5cc2b, "");
SYMBOL_CRC(drm_framebuffer_remove, 0xddabb3b9, "");
SYMBOL_CRC(drm_gem_object_init_with_mnt, 0x92e6d74e, "");
SYMBOL_CRC(drm_gem_object_init, 0xba653000, "");
SYMBOL_CRC(drm_gem_private_object_init, 0x5c921b5c, "");
SYMBOL_CRC(drm_gem_private_object_fini, 0xa59c7009, "");
SYMBOL_CRC(drm_gem_handle_delete, 0x79d086d3, "");
SYMBOL_CRC(drm_gem_dumb_map_offset, 0x30551190, "_gpl");
SYMBOL_CRC(drm_gem_handle_create, 0x590ae165, "");
SYMBOL_CRC(drm_gem_free_mmap_offset, 0x25cd666c, "");
SYMBOL_CRC(drm_gem_create_mmap_offset_size, 0xb374a593, "");
SYMBOL_CRC(drm_gem_create_mmap_offset, 0x5421ad5e, "");
SYMBOL_CRC(drm_gem_get_pages, 0x1f29626b, "");
SYMBOL_CRC(drm_gem_put_pages, 0x19c38ee5, "");
SYMBOL_CRC(drm_gem_objects_lookup, 0x9500984a, "");
SYMBOL_CRC(drm_gem_object_lookup, 0xf2e20da0, "");
SYMBOL_CRC(drm_gem_dma_resv_wait, 0x65be2409, "");
SYMBOL_CRC(drm_gem_object_release, 0xeb5ba484, "");
SYMBOL_CRC(drm_gem_object_free, 0xd680a377, "");
SYMBOL_CRC(drm_gem_vm_open, 0xf3861c3a, "");
SYMBOL_CRC(drm_gem_vm_close, 0xe97dc906, "");
SYMBOL_CRC(drm_gem_mmap_obj, 0x6ada0c10, "");
SYMBOL_CRC(drm_gem_mmap, 0x9113cb15, "");
SYMBOL_CRC(drm_gem_vmap, 0x72d6f489, "");
SYMBOL_CRC(drm_gem_vunmap, 0x5732b436, "");
SYMBOL_CRC(drm_gem_lock, 0x0430f891, "");
SYMBOL_CRC(drm_gem_unlock, 0x701ee753, "");
SYMBOL_CRC(drm_gem_vmap_unlocked, 0x6d7c1436, "");
SYMBOL_CRC(drm_gem_vunmap_unlocked, 0x73b2cf16, "");
SYMBOL_CRC(drm_gem_lock_reservations, 0xea3c1f2a, "");
SYMBOL_CRC(drm_gem_unlock_reservations, 0xaca385b2, "");
SYMBOL_CRC(drm_gem_lru_init, 0x0ad7782d, "");
SYMBOL_CRC(drm_gem_lru_remove, 0xca2f5abb, "");
SYMBOL_CRC(drm_gem_lru_move_tail_locked, 0x6ab3404a, "");
SYMBOL_CRC(drm_gem_lru_move_tail, 0xffbe9fcd, "");
SYMBOL_CRC(drm_gem_lru_scan, 0xbeca56d7, "");
SYMBOL_CRC(drm_gem_evict, 0x70bd8c07, "");
SYMBOL_CRC(drm_noop, 0x63f8dbbe, "");
SYMBOL_CRC(drm_invalid_op, 0xa664fc74, "");
SYMBOL_CRC(drm_ioctl_kernel, 0x55390cf5, "");
SYMBOL_CRC(drm_ioctl, 0x4acbb2aa, "");
SYMBOL_CRC(drm_ioctl_flags, 0x57b6efe3, "");
SYMBOL_CRC(__drmm_add_action, 0x293c5137, "");
SYMBOL_CRC(__drmm_add_action_or_reset, 0x786bd94f, "");
SYMBOL_CRC(drmm_release_action, 0xd1af6edc, "");
SYMBOL_CRC(drmm_kmalloc, 0x4893c87d, "");
SYMBOL_CRC(drmm_kstrdup, 0xf63c1560, "_gpl");
SYMBOL_CRC(drmm_kfree, 0xf34230c4, "");
SYMBOL_CRC(__drmm_mutex_release, 0x1426b7ff, "");
SYMBOL_CRC(__drm_mm_interval_first, 0x25daad93, "");
SYMBOL_CRC(drm_mm_reserve_node, 0x2754dad8, "");
SYMBOL_CRC(drm_mm_insert_node_in_range, 0xb4032484, "");
SYMBOL_CRC(drm_mm_remove_node, 0x4b7ebf95, "");
SYMBOL_CRC(drm_mm_scan_init_with_range, 0x2a962499, "");
SYMBOL_CRC(drm_mm_scan_add_block, 0x2183c08c, "");
SYMBOL_CRC(drm_mm_scan_remove_block, 0x5f7985a5, "");
SYMBOL_CRC(drm_mm_scan_color_evict, 0xdf3f760d, "");
SYMBOL_CRC(drm_mm_init, 0xf0517d7a, "");
SYMBOL_CRC(drm_mm_takedown, 0x57698a50, "");
SYMBOL_CRC(drm_mm_print, 0x1528d90c, "");
SYMBOL_CRC(drm_mode_config_reset, 0xa2f37ac9, "");
SYMBOL_CRC(drmm_mode_config_init, 0x2e15f3d2, "");
SYMBOL_CRC(drm_mode_config_cleanup, 0x24b2ebd4, "");
SYMBOL_CRC(drm_mode_object_add, 0x916eecf6, "");
SYMBOL_CRC(drm_mode_object_find, 0xcf45e421, "");
SYMBOL_CRC(drm_mode_object_put, 0xc0158896, "");
SYMBOL_CRC(drm_mode_object_get, 0xd3fa5abf, "");
SYMBOL_CRC(drm_object_attach_property, 0x4d5562c6, "");
SYMBOL_CRC(drm_object_property_set_value, 0xca49d8c3, "");
SYMBOL_CRC(drm_object_property_get_value, 0x1fde32b1, "");
SYMBOL_CRC(drm_object_property_get_default_value, 0x41ec1c04, "");
SYMBOL_CRC(drm_mode_obj_find_prop_id, 0x3b0c793c, "");
SYMBOL_CRC(drm_mode_debug_printmodeline, 0x2ed3c600, "");
SYMBOL_CRC(drm_mode_create, 0xd83ecd29, "");
SYMBOL_CRC(drm_mode_destroy, 0x39529e6d, "");
SYMBOL_CRC(drm_mode_probed_add, 0x1ee9316d, "");
SYMBOL_CRC(drm_analog_tv_mode, 0x0b892894, "");
SYMBOL_CRC(drm_cvt_mode, 0xc2905c02, "");
SYMBOL_CRC(drm_gtf_mode_complex, 0x08958d28, "");
SYMBOL_CRC(drm_gtf_mode, 0x475488cb, "");
SYMBOL_CRC(drm_mode_set_name, 0x4a35d30d, "");
SYMBOL_CRC(drm_mode_vrefresh, 0xf1b5340a, "");
SYMBOL_CRC(drm_mode_get_hv_timing, 0x4403a9c3, "");
SYMBOL_CRC(drm_mode_set_crtcinfo, 0x4575a0ca, "");
SYMBOL_CRC(drm_mode_copy, 0x9ce050be, "");
SYMBOL_CRC(drm_mode_init, 0xcdb99cc9, "");
SYMBOL_CRC(drm_mode_duplicate, 0xfe8e7048, "");
SYMBOL_CRC(drm_mode_match, 0x9b95c885, "");
SYMBOL_CRC(drm_mode_equal, 0x0d9b4753, "");
SYMBOL_CRC(drm_mode_equal_no_clocks, 0x3ab87110, "");
SYMBOL_CRC(drm_mode_equal_no_clocks_no_stereo, 0x24d124ac, "");
SYMBOL_CRC(drm_mode_validate_driver, 0x48e6156e, "");
SYMBOL_CRC(drm_mode_validate_size, 0xd7a9cf42, "");
SYMBOL_CRC(drm_mode_validate_ycbcr420, 0xc790690a, "");
SYMBOL_CRC(drm_mode_prune_invalid, 0x45807564, "");
SYMBOL_CRC(drm_mode_sort, 0xf1421d13, "");
SYMBOL_CRC(drm_connector_list_update, 0xcba4fbf5, "");
SYMBOL_CRC(drm_mode_parse_command_line_for_connector, 0x84d758f2, "");
SYMBOL_CRC(drm_mode_create_from_cmdline_mode, 0xc099eb2f, "");
SYMBOL_CRC(drm_mode_is_420_only, 0xe7a9ecea, "");
SYMBOL_CRC(drm_mode_is_420_also, 0xace169b3, "");
SYMBOL_CRC(drm_mode_is_420, 0x784d6883, "");
SYMBOL_CRC(drm_set_preferred_mode, 0xde0b1c1a, "");
SYMBOL_CRC(drm_modeset_lock_all, 0xff1b240a, "");
SYMBOL_CRC(drm_modeset_unlock_all, 0x23b81b92, "");
SYMBOL_CRC(drm_warn_on_modeset_not_all_locked, 0xbf28d8f4, "");
SYMBOL_CRC(drm_modeset_acquire_init, 0x3fbec05e, "");
SYMBOL_CRC(drm_modeset_acquire_fini, 0x010a3c22, "");
SYMBOL_CRC(drm_modeset_drop_locks, 0x41c4c1fc, "");
SYMBOL_CRC(drm_modeset_backoff, 0xd85d1e87, "");
SYMBOL_CRC(drm_modeset_lock_init, 0x042c24d0, "");
SYMBOL_CRC(drm_modeset_lock, 0x8a2dec91, "");
SYMBOL_CRC(drm_modeset_lock_single_interruptible, 0xbf8a11da, "");
SYMBOL_CRC(drm_modeset_unlock, 0xb6b297ac, "");
SYMBOL_CRC(drm_modeset_lock_all_ctx, 0x8b763983, "");
SYMBOL_CRC(drm_universal_plane_init, 0x28c1c660, "");
SYMBOL_CRC(__drmm_universal_plane_alloc, 0x52fba7d8, "");
SYMBOL_CRC(__drm_universal_plane_alloc, 0xff0c75c6, "");
SYMBOL_CRC(drm_plane_cleanup, 0xf570f998, "");
SYMBOL_CRC(drm_plane_from_index, 0x6d57659c, "");
SYMBOL_CRC(drm_plane_force_disable, 0x0b90234d, "");
SYMBOL_CRC(drm_mode_plane_set_obj_prop, 0xf6269f4b, "");
SYMBOL_CRC(drm_plane_has_format, 0x124c4078, "");
SYMBOL_CRC(drm_any_plane_has_format, 0x2e80cdb2, "");
SYMBOL_CRC(drm_plane_enable_fb_damage_clips, 0x0f2504a9, "");
SYMBOL_CRC(drm_plane_get_damage_clips_count, 0x491e57e7, "");
SYMBOL_CRC(drm_plane_get_damage_clips, 0x7af91eb6, "");
SYMBOL_CRC(drm_plane_create_scaling_filter_property, 0xebf9a840, "");
SYMBOL_CRC(drm_plane_add_size_hints_property, 0x42557c7a, "");
SYMBOL_CRC(drm_gem_dmabuf_export, 0x79208d8e, "");
SYMBOL_CRC(drm_gem_dmabuf_release, 0x251daa7c, "");
SYMBOL_CRC(drm_gem_prime_fd_to_handle, 0xa821247f, "");
SYMBOL_CRC(drm_gem_prime_handle_to_dmabuf, 0x90ee8c62, "");
SYMBOL_CRC(drm_gem_prime_handle_to_fd, 0x0cc4a707, "");
SYMBOL_CRC(drm_gem_map_attach, 0x35b2271e, "");
SYMBOL_CRC(drm_gem_map_detach, 0x1f8b4228, "");
SYMBOL_CRC(drm_gem_map_dma_buf, 0x7a15e179, "");
SYMBOL_CRC(drm_gem_unmap_dma_buf, 0xa8bc7b05, "");
SYMBOL_CRC(drm_gem_dmabuf_vmap, 0x28c1a6d4, "");
SYMBOL_CRC(drm_gem_dmabuf_vunmap, 0xaa7052fd, "");
SYMBOL_CRC(drm_gem_prime_mmap, 0x9015c510, "");
SYMBOL_CRC(drm_gem_dmabuf_mmap, 0x52db6674, "");
SYMBOL_CRC(drm_prime_pages_to_sg, 0xf57bbb47, "");
SYMBOL_CRC(drm_prime_get_contiguous_size, 0xdad9c8b1, "");
SYMBOL_CRC(drm_gem_prime_export, 0xc958bd91, "");
SYMBOL_CRC(drm_gem_prime_import_dev, 0x0d73c869, "");
SYMBOL_CRC(drm_gem_prime_import, 0x4efbacff, "");
SYMBOL_CRC(drm_prime_sg_to_page_array, 0x809abded, "");
SYMBOL_CRC(drm_prime_sg_to_dma_addr_array, 0x4e2a621e, "");
SYMBOL_CRC(drm_prime_gem_destroy, 0x7b5f1e73, "");
SYMBOL_CRC(__drm_debug, 0x69353664, "");
SYMBOL_CRC(__drm_puts_coredump, 0xa542ecb6, "");
SYMBOL_CRC(__drm_printfn_coredump, 0xf19909be, "");
SYMBOL_CRC(__drm_puts_seq_file, 0xc20834bc, "");
SYMBOL_CRC(__drm_printfn_seq_file, 0x50b67bbc, "");
SYMBOL_CRC(__drm_printfn_info, 0xd4a29529, "");
SYMBOL_CRC(__drm_printfn_dbg, 0x6063f063, "");
SYMBOL_CRC(__drm_printfn_err, 0x3b0429b5, "");
SYMBOL_CRC(__drm_printfn_line, 0xd5660acc, "");
SYMBOL_CRC(drm_puts, 0x1401b42f, "");
SYMBOL_CRC(drm_printf, 0x4a59a39a, "");
SYMBOL_CRC(drm_print_bits, 0x873bb918, "");
SYMBOL_CRC(drm_dev_printk, 0x391737c9, "");
SYMBOL_CRC(__drm_dev_dbg, 0x2354d3c7, "");
SYMBOL_CRC(__drm_err, 0xb11ac7a7, "");
SYMBOL_CRC(drm_print_regset32, 0xfd3439e6, "");
SYMBOL_CRC(drm_print_hex_dump, 0xe6a41d88, "");
SYMBOL_CRC(drm_property_create, 0x455e47f3, "");
SYMBOL_CRC(drm_property_create_enum, 0x50d0997c, "");
SYMBOL_CRC(drm_property_create_bitmask, 0x7a4ab312, "");
SYMBOL_CRC(drm_property_create_range, 0xc6af54a9, "");
SYMBOL_CRC(drm_property_create_signed_range, 0x2fcf530f, "");
SYMBOL_CRC(drm_property_create_object, 0x1ba6ce3c, "");
SYMBOL_CRC(drm_property_create_bool, 0x427d74d3, "");
SYMBOL_CRC(drm_property_add_enum, 0xf0c557c0, "");
SYMBOL_CRC(drm_property_destroy, 0x4300381d, "");
SYMBOL_CRC(drm_property_create_blob, 0xf7286f3c, "");
SYMBOL_CRC(drm_property_blob_put, 0x315d4eda, "");
SYMBOL_CRC(drm_property_blob_get, 0xc58ec655, "");
SYMBOL_CRC(drm_property_lookup_blob, 0x4bafbd4d, "");
SYMBOL_CRC(drm_property_replace_global_blob, 0x983131e6, "");
SYMBOL_CRC(drm_property_replace_blob, 0x0fad7194, "");
SYMBOL_CRC(drm_property_replace_blob_from_id, 0x56e522d1, "");
SYMBOL_CRC(drm_rect_intersect, 0x871ab41a, "");
SYMBOL_CRC(drm_rect_clip_scaled, 0x99fd20aa, "");
SYMBOL_CRC(drm_rect_calc_hscale, 0x2d50570f, "");
SYMBOL_CRC(drm_rect_calc_vscale, 0x91fec1cc, "");
SYMBOL_CRC(drm_rect_debug_print, 0xcb2340b8, "");
SYMBOL_CRC(drm_rect_rotate, 0xb053adda, "");
SYMBOL_CRC(drm_rect_rotate_inv, 0x6e30ba8e, "");
SYMBOL_CRC(drm_syncobj_find, 0xaa7a565f, "");
SYMBOL_CRC(drm_syncobj_add_point, 0x544478c3, "");
SYMBOL_CRC(drm_syncobj_replace_fence, 0x7309f3c8, "");
SYMBOL_CRC(drm_syncobj_find_fence, 0x2e0d9e2b, "");
SYMBOL_CRC(drm_syncobj_free, 0x1a411479, "");
SYMBOL_CRC(drm_syncobj_create, 0xef2b8015, "");
SYMBOL_CRC(drm_syncobj_get_handle, 0x8d06a7c0, "");
SYMBOL_CRC(drm_syncobj_get_fd, 0xaa8977cc, "");
SYMBOL_CRC(drm_timeout_abs_to_jiffies, 0x50674de7, "");
SYMBOL_CRC(drm_sysfs_hotplug_event, 0x4e4ab209, "");
SYMBOL_CRC(drm_sysfs_connector_hotplug_event, 0xe304a4e4, "");
SYMBOL_CRC(drm_sysfs_connector_property_event, 0x2ab2c457, "");
SYMBOL_CRC(drm_class_device_register, 0xdabcc41c, "_gpl");
SYMBOL_CRC(drm_class_device_unregister, 0x761eadfc, "_gpl");
SYMBOL_CRC(drm_crtc_vblank_crtc, 0xa4a73ca7, "");
SYMBOL_CRC(drm_crtc_accurate_vblank_count, 0xb54384a7, "");
SYMBOL_CRC(drm_vblank_init, 0x08f3f802, "");
SYMBOL_CRC(drm_dev_has_vblank, 0xb6ca54e7, "");
SYMBOL_CRC(drm_crtc_vblank_waitqueue, 0xcf9886a4, "");
SYMBOL_CRC(drm_calc_timestamping_constants, 0x916c91b8, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, 0x6f179331, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp, 0xda5815d6, "");
SYMBOL_CRC(drm_crtc_vblank_count, 0x7a85be38, "");
SYMBOL_CRC(drm_crtc_vblank_count_and_time, 0xa214579f, "");
SYMBOL_CRC(drm_crtc_next_vblank_start, 0x5c85444d, "");
SYMBOL_CRC(drm_crtc_arm_vblank_event, 0x6a58af18, "");
SYMBOL_CRC(drm_crtc_send_vblank_event, 0xba71215d, "");
SYMBOL_CRC(drm_crtc_vblank_get, 0x81fde8c5, "");
SYMBOL_CRC(drm_crtc_vblank_put, 0x57ec7303, "");
SYMBOL_CRC(drm_wait_one_vblank, 0xf5bb3fa4, "");
SYMBOL_CRC(drm_crtc_wait_one_vblank, 0xd568e638, "");
SYMBOL_CRC(drm_crtc_vblank_off, 0x2c9606ba, "");
SYMBOL_CRC(drm_crtc_vblank_reset, 0xacda4632, "");
SYMBOL_CRC(drm_crtc_set_max_vblank_count, 0x6e885cbb, "");
SYMBOL_CRC(drm_crtc_vblank_on_config, 0x829a3563, "");
SYMBOL_CRC(drm_crtc_vblank_on, 0xf339204b, "");
SYMBOL_CRC(drm_crtc_vblank_restore, 0xe25782a4, "");
SYMBOL_CRC(drm_handle_vblank, 0xabc9b6f6, "");
SYMBOL_CRC(drm_crtc_handle_vblank, 0x860ab48f, "");
SYMBOL_CRC(drm_vblank_work_schedule, 0xb467df79, "");
SYMBOL_CRC(drm_vblank_work_cancel_sync, 0xe4389bf9, "");
SYMBOL_CRC(drm_vblank_work_flush, 0xa3afab09, "");
SYMBOL_CRC(drm_vblank_work_flush_all, 0xc794c8d0, "");
SYMBOL_CRC(drm_vblank_work_init, 0x558dc96e, "");
SYMBOL_CRC(drm_vma_offset_manager_init, 0xb4fe0501, "");
SYMBOL_CRC(drm_vma_offset_manager_destroy, 0x3cb803c8, "");
SYMBOL_CRC(drm_vma_offset_lookup_locked, 0x7d9b3370, "");
SYMBOL_CRC(drm_vma_offset_add, 0xa7ff050f, "");
SYMBOL_CRC(drm_vma_offset_remove, 0x8cd1f61b, "");
SYMBOL_CRC(drm_vma_node_allow, 0xf092af45, "");
SYMBOL_CRC(drm_vma_node_allow_once, 0x3a0f8fe6, "");
SYMBOL_CRC(drm_vma_node_revoke, 0xa5ec2523, "");
SYMBOL_CRC(drm_vma_node_is_allowed, 0x682fbda3, "");
SYMBOL_CRC(drm_writeback_connector_init, 0xc32945e2, "");
SYMBOL_CRC(drm_writeback_connector_init_with_encoder, 0x416debff, "");
SYMBOL_CRC(drm_writeback_prepare_job, 0x934eba8a, "");
SYMBOL_CRC(drm_writeback_queue_job, 0x4eb31a21, "");
SYMBOL_CRC(drm_writeback_cleanup_job, 0x73e80785, "");
SYMBOL_CRC(drm_writeback_signal_completion, 0x064640d9, "");
SYMBOL_CRC(drm_writeback_get_out_fence, 0xe656f21e, "");
SYMBOL_CRC(drm_client_init, 0x69a565eb, "");
SYMBOL_CRC(drm_client_register, 0xbbd5a0b3, "");
SYMBOL_CRC(drm_client_release, 0x5e79f0f4, "");
SYMBOL_CRC(drm_client_buffer_vmap_local, 0x02c7adfd, "");
SYMBOL_CRC(drm_client_buffer_vunmap_local, 0x9f9dc8be, "");
SYMBOL_CRC(drm_client_buffer_vmap, 0xa27d880c, "");
SYMBOL_CRC(drm_client_buffer_vunmap, 0xe7a70fa9, "");
SYMBOL_CRC(drm_client_framebuffer_create, 0x76f03afd, "");
SYMBOL_CRC(drm_client_framebuffer_delete, 0x59cf78e1, "");
SYMBOL_CRC(drm_client_framebuffer_flush, 0xc0438093, "");
SYMBOL_CRC(drm_client_dev_unregister, 0x0869f215, "");
SYMBOL_CRC(drm_client_dev_hotplug, 0xdabe0b65, "");
SYMBOL_CRC(drm_client_dev_suspend, 0x5b4ccbfc, "");
SYMBOL_CRC(drm_client_dev_resume, 0xa1981a53, "");
SYMBOL_CRC(drm_client_modeset_probe, 0xc5eaed57, "");
SYMBOL_CRC(drm_client_rotation, 0x748de13b, "");
SYMBOL_CRC(drm_client_modeset_check, 0x85944cf4, "");
SYMBOL_CRC(drm_client_modeset_commit_locked, 0x58383dfa, "");
SYMBOL_CRC(drm_client_modeset_commit, 0x27224d74, "");
SYMBOL_CRC(drm_client_modeset_dpms, 0x8005fb7e, "");
SYMBOL_CRC(drm_prandom_u32_max_state, 0xd392c35c, "");
SYMBOL_CRC(drm_random_reorder, 0x1ce755b6, "");
SYMBOL_CRC(drm_random_order, 0xd5164270, "");
SYMBOL_CRC(drm_compat_ioctl, 0xf59a6bac, "");
SYMBOL_CRC(drm_panel_init, 0xc72353af, "");
SYMBOL_CRC(drm_panel_add, 0xf17098b4, "");
SYMBOL_CRC(drm_panel_remove, 0xb0a73802, "");
SYMBOL_CRC(drm_panel_prepare, 0x9e04b095, "");
SYMBOL_CRC(drm_panel_unprepare, 0xbffe163b, "");
SYMBOL_CRC(drm_panel_enable, 0xde81bb17, "");
SYMBOL_CRC(drm_panel_disable, 0x055cf0b4, "");
SYMBOL_CRC(drm_panel_get_modes, 0x7b769bc2, "");
SYMBOL_CRC(drm_is_panel_follower, 0x395d1ef0, "");
SYMBOL_CRC(drm_panel_add_follower, 0xaf675a85, "");
SYMBOL_CRC(drm_panel_remove_follower, 0xd75a1431, "");
SYMBOL_CRC(devm_drm_panel_add_follower, 0x59204f1b, "");
SYMBOL_CRC(drm_debugfs_gpuva_info, 0xdc587f7d, "");
SYMBOL_CRC(drm_debugfs_create_files, 0x7d23e38a, "");
SYMBOL_CRC(drm_debugfs_remove_files, 0x0d85957e, "");
SYMBOL_CRC(drm_debugfs_add_file, 0x867d22f7, "");
SYMBOL_CRC(drm_debugfs_add_files, 0x4072b035, "");
SYMBOL_CRC(drm_crtc_add_crc_entry, 0xaf43314c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x8a0d35d0, "try_module_get" },
	{ 0xc1804e9f, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e5f62ce, "ww_mutex_lock_interruptible" },
	{ 0xf0c7f952, "vmemmap" },
	{ 0x9e9d5b93, "alloc_anon_inode" },
	{ 0x54e73313, "show_class_attr_string" },
	{ 0xee48b724, "kthread_cancel_work_sync" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb74ccc26, "kthread_flush_work" },
	{ 0x1f1fe53, "bpf_trace_run4" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0x3761d215, "idr_find" },
	{ 0x19428287, "param_ops_ulong" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x1eb78c9, "shmem_read_folio_gfp" },
	{ 0x4f3fd93b, "__folio_batch_release" },
	{ 0x8d8ae6f1, "dev_set_name" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbb0b36d4, "seq_buf_printf" },
	{ 0xd3af979c, "memdup_user" },
	{ 0xbdc88714, "trace_raw_output_prep" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x34b41c56, "dma_resv_init" },
	{ 0x43a4938f, "vm_get_page_prot" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x832811a2, "dma_resv_wait_timeout" },
	{ 0xb36e4ed4, "device_unregister" },
	{ 0x51ce2ad5, "debugfs_create_symlink" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x8b618d08, "overflowuid" },
	{ 0x875e34fc, "__trace_trigger_soft_disabled" },
	{ 0xe2fe9aed, "kthread_flush_worker" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x6749d53f, "hdmi_vendor_infoframe_init" },
	{ 0x8bded20f, "zpci_load" },
	{ 0x194c0243, "class_destroy" },
	{ 0xcff22166, "trace_event_printf" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x8d0fd4ef, "idr_replace" },
	{ 0x2e8db862, "ww_mutex_unlock" },
	{ 0xca78c60c, "device_initialize" },
	{ 0x5de87a4a, "__kmalloc_node_track_caller_noprof" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0xa8c981dd, "fd_install" },
	{ 0x5031b485, "dma_fence_chain_ops" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x62b09e20, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x878ce7b4, "component_del" },
	{ 0xc1f0756a, "unmap_mapping_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xef0d2c, "iput" },
	{ 0xe3d6bf3d, "seq_lseek" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x296b7b95, "dma_buf_unmap_attachment_unlocked" },
	{ 0xd209e848, "memcpy_and_pad" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x84872f7a, "dma_fence_add_callback" },
	{ 0x48fc7694, "synchronize_srcu" },
	{ 0x554b16f9, "dma_fence_set_deadline" },
	{ 0xb0ec90f8, "get_device" },
	{ 0x69488e94, "dma_buf_attach" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x8b73f94d, "class_create_file_ns" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xa40938d6, "wake_up_process" },
	{ 0xa0a14477, "dev_driver_string" },
	{ 0x83f230f7, "dma_buf_map_attachment_unlocked" },
	{ 0xb0b98ab0, "trace_event_buffer_commit" },
	{ 0x2bd789a4, "pci_domain_nr" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x996bd92b, "ww_mutex_trylock" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xe2cd8ddd, "dma_max_mapping_size" },
	{ 0x99e89fce, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xd06250ac, "dma_buf_export" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x333472d3, "kthread_queue_work" },
	{ 0xe5a56ecd, "idr_get_next" },
	{ 0x5e0f6089, "dma_fence_remove_callback" },
	{ 0x6276da41, "_dev_info" },
	{ 0x7672178b, "folio_mark_dirty" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xc6cbbc89, "capable" },
	{ 0xf06482e0, "atomic_dec_and_mutex_lock" },
	{ 0x2995e262, "module_put" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0xb1a30680, "sysfs_create_link" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x405c515f, "dmem_cgroup_unregister_region" },
	{ 0x2a23be62, "dma_fence_chain_walk" },
	{ 0x70a7483f, "debugfs_lookup" },
	{ 0x73b06bfb, "__task_pid_nr_ns" },
	{ 0xd55d6351, "kobject_uevent_env" },
	{ 0xa0d3d560, "ksize" },
	{ 0x2ddb834b, "__xa_alloc" },
	{ 0x9becbb0, "shmem_file_setup" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1e9c5bab, "dma_fence_get_stub" },
	{ 0x2e439142, "drm_get_panel_orientation_quirk" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x7eec0ea2, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0xfc24a9dc, "fput" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xa7105ac8, "_dev_err" },
	{ 0xd2510a63, "up_write" },
	{ 0x6ccc34dd, "sort" },
	{ 0x9d07400e, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x7f208c3d, "device_add" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0x42373769, "sysfs_remove_link" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0x3e0cd9df, "pid_task" },
	{ 0xbb9053cc, "__srcu_read_lock" },
	{ 0x587b0954, "kvasprintf" },
	{ 0xc06c94a, "platform_device_unregister" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x61382bb, "noop_llseek" },
	{ 0x86bbbfa2, "dma_fence_signal" },
	{ 0x153e8aff, "folio_mark_accessed" },
	{ 0x92f6b6de, "dma_resv_fini" },
	{ 0x82827b07, "class_create" },
	{ 0x954f099c, "idr_preload" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xc7af7214, "dma_buf_get" },
	{ 0x97ff1c50, "debugfs_remove" },
	{ 0x85abc85f, "strncmp" },
	{ 0xde816c87, "seq_putc" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x5d716ab1, "ww_mutex_lock" },
	{ 0xdfabfe82, "trace_event_reg" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0xfac19588, "__clear_user" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xefa33f97, "dma_buf_put" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x66987888, "dma_fence_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xb93a6a2e, "zpci_write_block" },
	{ 0x11089ac7, "_ctype" },
	{ 0x622fa543, "device_register" },
	{ 0x89a4111f, "device_del" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0xf3e3936e, "sg_alloc_table_from_pages_segment" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e64b8e5, "_dev_warn" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x8bad4ff4, "pgprot_writecombine" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x6108288f, "complete_all" },
	{ 0xff4f9142, "kthread_create_worker_on_node" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x7242e96d, "strnchr" },
	{ 0xe798236d, "jiffies" },
	{ 0x81d6fd1d, "init_pseudo" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x2cadd272, "check_move_unevictable_folios" },
	{ 0x83b52648, "bpf_trace_run3" },
	{ 0x57eb42d8, "seq_read" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4eb2b066, "hdmi_avi_infoframe_init" },
	{ 0x88e52cdb, "idr_for_each" },
	{ 0x7230beea, "fdget" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x24b8ba17, "trace_event_buffer_reserve" },
	{ 0xac321782, "dma_map_sgtable" },
	{ 0x96d391e, "kthread_destroy_worker" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x5bbadee5, "__dma_fence_unwrap_merge" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x7cac7902, "hdmi_infoframe_pack" },
	{ 0x45d3c773, "memdup_user_nul" },
	{ 0xbbc0b4c9, "dentry_open" },
	{ 0xe091c977, "list_sort" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x46d1861d, "__register_chrdev" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x601e3e1, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xde1371ce, "radix_tree_tagged" },
	{ 0x3338ca62, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8163f593, "seq_printf" },
	{ 0xe70e184a, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe3a2fed2, "dmem_cgroup_register_region" },
	{ 0xb15f6389, "__srcu_read_unlock" },
	{ 0xca116ef3, "debugfs_create_file_full" },
	{ 0x48939305, "i2c_transfer" },
	{ 0x8763ec5, "dma_fence_allocate_private_stub" },
	{ 0xb4976386, "dma_buf_detach" },
	{ 0x261c30c5, "dma_fence_signal_timestamp" },
	{ 0xe471c91b, "dma_fence_chain_init" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x68c256f7, "single_release" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x98750310, "pid_vnr" },
	{ 0x79778a65, "sched_set_fifo" },
	{ 0xe15b304d, "simple_release_fs" },
	{ 0x6807a0c8, "dev_err_probe" },
	{ 0xa7a860cc, "dma_unmap_sg_attrs" },
	{ 0x904b44, "__seq_puts" },
	{ 0x589706cb, "kill_anon_super" },
	{ 0x9a9e226a, "from_kuid_munged" },
	{ 0x1dbc1361, "__devm_add_action" },
	{ 0xcbf2da85, "component_add" },
	{ 0x8f53a09d, "dma_resv_test_signaled" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x405dbea9, "shmem_file_setup_with_mnt" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xcc328a5c, "reservation_ww_class" },
	{ 0x77358855, "iomem_resource" },
	{ 0x45f0d192, "dma_fence_chain_find_seqno" },
	{ 0x4401ce31, "param_ops_int" },
	{ 0xe396e3e2, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x594d24da, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x4fc68c0f, "debugfs_create_dir" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x5a5e7ea3, "simple_read_from_buffer" },
	{ 0x46bd5d6e, "video_get_options" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x526975eb, "sync_file_get_fence" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xf53a9bdf, "put_pid" },
	{ 0x7da204e9, "__dev_fwnode" },
	{ 0xc82f38e5, "pci_bus_type" },
	{ 0x3ab64803, "kmalloc_caches" },
	{ 0x992b371f, "class_remove_file_ns" },
	{ 0x98b541c8, "krealloc_noprof" },
	{ 0xda4c1218, "simple_pin_fs" },
	{ 0x77b8106a, "sync_file_create" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0x81dd2bab, "module_layout" },
};

MODULE_INFO(depends, "drm_panel_orientation_quirks,i2c-core");


MODULE_INFO(srcversion, "F916BA6DE7CED5045AB4B27");
MODULE_INFO(rhelversion, "9.99");
