#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(__traceiter_fl_getdevinfo, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0x7ff5ec02, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0xb25fe586, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0x72d09e5d, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0xae9d2e84, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0xa4adfcba, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0xd6feda8c, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0xde616688, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0xf5f9ba12, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0x2d3c6492, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0xfef8bebf, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0xb88b3104, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0x3866c5f1, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0xc3331772, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0x10034674, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0x34d6ef3b, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0x4db6b536, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0xeac47593, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0x822cc4b7, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0xc7a9d954, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0x56112330, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0x7bdde6f2, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0x533c198f, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0x66ee8403, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0x21ea8561, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0x5a4314e9, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0x79ebf1ac, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0x27dc8ae2, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0xba53a1ef, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0xe0e42189, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0xaac9fe63, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0x0ff289f3, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0x41f27686, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0x40515895, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x7cd013a8, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0x46c5676c, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0xfb826210, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0x7a4e7f4e, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0xf2f18d16, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0x5bf05261, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0x27ad47ea, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0xb8878ec2, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0x16510b97, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0x579126b8, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0x6f561f2e, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0x2a669162, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0xdf6991a4, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0x38bfa05d, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0x73d13812, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0x785c06ab, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0x643afe4c, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0x9b42b6b7, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0x30a44ac3, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0x75e1c462, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0xc65f553f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0x08b2c467, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg, 0x6dcb011f, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg, 0xed447a9e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg, 0x02884be0, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg_err, 0x3599162f, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg_err, 0x14ee59c9, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg_err, 0x90c878c7, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg, 0x911575bb, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg, 0xed9c2b5b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg, 0x94384f04, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg_err, 0x0fd80e57, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg_err, 0x3aa9a4b0, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg_err, 0x33759ebd, "_gpl");
SYMBOL_CRC(__tracepoint_fl_getdevinfo, 0xe03be88a, "_gpl");
SYMBOL_CRC(__traceiter_fl_getdevinfo, 0x7c8c65b7, "_gpl");
SYMBOL_CRC(__SCK__tp_func_fl_getdevinfo, 0x8f78a275, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0x907e8ac1, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0x27d2dc2e, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0x4cff2faf, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0x28734445, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0xfee1979c, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0xae3359ea, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0xd1374907, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0x31b6a90a, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0x08274205, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0x3485b7c2, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0x015dbdaa, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0x4cbc1b68, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0x74bd5df4, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0xdcdb6b76, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0xcb3e722f, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0xb0d06068, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0xe6526542, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0x8adb64e9, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0xa732db95, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0x387ffd3b, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0x0f1930bc, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0x9ea2f142, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0xc750922f, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0x796e6f0a, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0x74af4ea0, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0xc9dfbad2, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0xc645bc3e, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0xade15337, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0xd66150a7, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0x3706b6ed, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0xd45e934d, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0xb7a5ca84, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0x52ab5cdf, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0xb3106aa4, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0x3d438cf9, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0x7fa3410c, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0xb55524b5, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0x448935e6, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0x0888dea1, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0xc95aafb9, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0xd4ec13e3, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0xf8cd4d72, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0xb40d703d, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0x745fc993, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0x3bedc8c5, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0xe93f4810, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0x2eefef12, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0x6ae46252, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0x4bf9f10c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7d38cce6, "rpc_put_task" },
	{ 0x21955cf8, "nfs4_stat_to_errno" },
	{ 0xd8edbbd7, "svc_generic_rpcbind_set" },
	{ 0xa9501486, "nfs_clone_server" },
	{ 0x2a296849, "nfs_access_add_cache" },
	{ 0x5cc194f, "filemap_fdatawrite" },
	{ 0x522a76d6, "nfs_show_stats" },
	{ 0xe602ed69, "nfs_server_remove_lists" },
	{ 0x33c50c, "shrinker_alloc" },
	{ 0x9bb7519e, "nfs42_ssc_unregister" },
	{ 0x920ad636, "generic_listxattr" },
	{ 0x8a0d35d0, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xf0c7f952, "vmemmap" },
	{ 0x41364a79, "nfs_writeback_update_inode" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xaa06d818, "clear_inode" },
	{ 0x91375461, "inode_to_bdi" },
	{ 0x1f1fe53, "bpf_trace_run4" },
	{ 0x6780236e, "user_destroy" },
	{ 0x3761d215, "idr_find" },
	{ 0x4f57327d, "param_ops_uint" },
	{ 0x3858b6ad, "user_revoke" },
	{ 0x5c683176, "d_exact_alias" },
	{ 0xf429f98e, "nfs_alloc_client" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0x38699ec0, "nfs_mark_client_ready" },
	{ 0x12d1d8c7, "rpc_clnt_probe_trunked_xprts" },
	{ 0x4c541956, "nfs_pageio_reset_read_mds" },
	{ 0x9776b73b, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0xee9ce701, "rpc_shutdown_client" },
	{ 0x36e1ba82, "svc_bind" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xdc33db57, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x4161e916, "nfs_wait_bit_killable" },
	{ 0x63dbe14d, "nfs_free_inode" },
	{ 0xadc937a, "nfs_access_zap_cache" },
	{ 0x289aafd4, "nfs_sb_deactive" },
	{ 0x3ee46516, "nfs_wb_all" },
	{ 0x7af8417f, "__break_lease" },
	{ 0xf30e7f88, "nfs_pageio_init_write" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x880fd001, "svc_recv" },
	{ 0x2c0ead, "nfs_drop_inode" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0x94f3f735, "xdr_inline_decode" },
	{ 0x32220040, "nfs_pageio_init_read" },
	{ 0xbdc88714, "trace_raw_output_prep" },
	{ 0xc950181b, "nfs_wait_client_init_complete" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x3052390b, "nfs_init_commit" },
	{ 0xa89bf41a, "nfs_commitdata_release" },
	{ 0xe5f1a94d, "bpf_trace_run6" },
	{ 0x30fe4daa, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0x17ceebe7, "rpc_net_ns" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x875e34fc, "__trace_trigger_soft_disabled" },
	{ 0x64a1b193, "nfs_mknod" },
	{ 0x3f8d10a4, "nfs_inode_attach_open_context" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x6f9a2fff, "nfs4_label_alloc" },
	{ 0x25ad24fa, "rpc_localaddr" },
	{ 0x64d74e24, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0xcff22166, "trace_event_printf" },
	{ 0x7488330d, "nfs_access_get_cached" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x8d0fd4ef, "idr_replace" },
	{ 0xc675ab55, "nfs_lock" },
	{ 0x4ae9a148, "unregister_key_type" },
	{ 0x463e07a8, "nfs_client_init_is_complete" },
	{ 0xad72ff5a, "nfs_file_splice_read" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x3b56b55c, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x62b09e20, "trace_event_raw_init" },
	{ 0x95a49194, "user_preparse" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0xa70fd0e1, "ihold" },
	{ 0x26e09641, "truncate_pagecache_range" },
	{ 0x601f31f, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0x44fabc04, "invalidate_inode_pages2_range" },
	{ 0xb56e9f69, "nfs_post_op_update_inode" },
	{ 0x549078bb, "svc_exit_thread" },
	{ 0xef0d2c, "iput" },
	{ 0x190f47af, "xdr_set_pagelen" },
	{ 0xd02d2bc7, "nfs_pgio_header_free" },
	{ 0x2861b814, "nfs_request_add_commit_list_locked" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0xe4044a62, "logfc" },
	{ 0xcfb31e06, "nfs_pgio_header_alloc" },
	{ 0x93d9585c, "iter_file_splice_write" },
	{ 0xe0132b0e, "rpc_pton" },
	{ 0xb6994f35, "nfs_sb_active" },
	{ 0x83c45274, "mod_node_page_state" },
	{ 0x62aa0b9, "rpc_ntop" },
	{ 0xb07ca2c2, "rpc_wake_up_queued_task" },
	{ 0x92a0dd99, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0xca5b6075, "xdr_stream_zero" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0xe6081143, "rpc_restart_call_prepare" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x7f1b4739, "_copy_from_pages" },
	{ 0x661bc9f6, "__module_get" },
	{ 0xea4ce08b, "rpc_task_release_transport" },
	{ 0xb87c80ab, "xdr_page_pos" },
	{ 0x4f753175, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xdf9bd9da, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xaa40a444, "key_instantiate_and_link" },
	{ 0x2330ceef, "trace_print_hex_seq" },
	{ 0x4dda726b, "match_strlcpy" },
	{ 0x178f95b5, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0x61706999, "register_key_type" },
	{ 0x7c8f0c3d, "rpc_sleep_on" },
	{ 0x9604fc79, "rpc_run_task" },
	{ 0x2defc92c, "nfs_pageio_resend" },
	{ 0xcc79de7b, "keyring_alloc" },
	{ 0x1ef2552c, "vfs_setpos" },
	{ 0x7d50cbe, "nfs_create" },
	{ 0xb5adda93, "complete_request_key" },
	{ 0x7b165d29, "__put_cred" },
	{ 0x36df6129, "nfs_update_delegated_mtime" },
	{ 0x7e8d4572, "nfs_statfs" },
	{ 0xa40938d6, "wake_up_process" },
	{ 0xf594248f, "shrinker_free" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x60766e69, "splice_file_range" },
	{ 0xd2a3564b, "rpc_max_bc_payload" },
	{ 0xb0b98ab0, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xd442c593, "nfs_local_probe_async" },
	{ 0xd791404f, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0x5de89177, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xa03f2ab, "nfs_mkdir" },
	{ 0xc8044026, "nfs_revalidate_inode" },
	{ 0x38da5b0f, "inode_newsize_ok" },
	{ 0x486a341c, "nfs_file_mmap" },
	{ 0x187cad68, "nfs_get_lock_context" },
	{ 0xdfe781d3, "d_drop" },
	{ 0x92997ed8, "_printk" },
	{ 0x6506ad61, "nfs_set_cache_invalid" },
	{ 0x39cc4f3c, "rpc_release_client" },
	{ 0xaf7d86cf, "rpc_clnt_manage_trunked_xprts" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xcaebfca8, "xdr_enter_page" },
	{ 0x611df338, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x8963e204, "unregister_sysctl_table" },
	{ 0x67ae811d, "nfs_generic_pgio" },
	{ 0x71fe20ed, "make_kuid" },
	{ 0xc65186fc, "truncate_inode_pages_final" },
	{ 0x98b6ff0b, "generic_setlease" },
	{ 0x959a6459, "__kmalloc_large_noprof" },
	{ 0xb1944a9e, "xprt_destroy_backchannel" },
	{ 0x39473247, "rpc_switch_client_transport" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xc45db299, "nfs_scan_commit_list" },
	{ 0xcd94890f, "xdr_stream_decode_string_dup" },
	{ 0x667f853c, "nfs_commit_inode" },
	{ 0x4942acbb, "shrinker_register" },
	{ 0x548025cd, "locks_init_lock" },
	{ 0xa8e9e1ae, "send_implementation_id" },
	{ 0xe142e212, "rpc_destroy_pipe_data" },
	{ 0x4c343350, "nfs_get_client" },
	{ 0xcd2b3645, "__free_pages" },
	{ 0x9f984513, "strrchr" },
	{ 0x681549bc, "init_wait_var_entry" },
	{ 0xfbcb0b03, "bit_wait" },
	{ 0xf9f3f380, "security_release_secctx" },
	{ 0x861cb28a, "init_task" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x1068e33c, "nfs_atomic_open" },
	{ 0x69b38edd, "rpc_pipe_generic_upcall" },
	{ 0xa5fe13fc, "nfs_file_fsync" },
	{ 0x2995e262, "module_put" },
	{ 0x45f17fb6, "__var_waitqueue" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xb0f7fc6f, "mntput" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x85b0ebd9, "nfs_put_lock_context" },
	{ 0xb25c1b00, "nfs_rename" },
	{ 0xf8c4220e, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x705db00d, "nfs_sysfs_link_rpc_client" },
	{ 0xb01c82ad, "nfs_put_client" },
	{ 0x5ea31004, "arch_spin_trylock_retry" },
	{ 0xe5cf8241, "nfs_show_options" },
	{ 0xd004ce6e, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0xa979f760, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x690fe8ef, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xf509a96b, "get_nfs_open_context" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x7eec0ea2, "perf_trace_run_bpf_submit" },
	{ 0x16587cf, "nfs_clear_verifier_delegated" },
	{ 0x85a82f1e, "nfs_sysfs_add_server" },
	{ 0xfc24a9dc, "fput" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xdfb8ff29, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0xd4cbc79e, "nfs_do_submount" },
	{ 0x80a57d11, "vfs_dup_fs_context" },
	{ 0xd2510a63, "up_write" },
	{ 0x6ccc34dd, "sort" },
	{ 0x333e4b58, "request_key_with_auxdata" },
	{ 0xb3646279, "rpc_clone_client_set_auth" },
	{ 0xb64ba238, "rpc_clone_client" },
	{ 0x200a8a19, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0x25d8e2ef, "nfs_client_init_status" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0xc65a3bf0, "svc_rpcb_cleanup" },
	{ 0x4dea1053, "memchr" },
	{ 0xc7dd3af9, "user_describe" },
	{ 0xf38f443d, "put_fs_context" },
	{ 0x594707e6, "nfs_retry_commit" },
	{ 0x85c2cda4, "nfs4_dentry_operations" },
	{ 0xf0660ea5, "__module_put_and_kthread_exit" },
	{ 0x52bf675f, "rpc_peeraddr2str" },
	{ 0xe8ba125d, "kmemdup_nul" },
	{ 0xc5b83414, "nfs_client_for_each_server" },
	{ 0xb071781, "nfs_clear_inode" },
	{ 0x1cd588d2, "rpc_sleep_on_priority" },
	{ 0xdb63d792, "nfs_invalidate_atime" },
	{ 0x13382a3a, "bpf_trace_run5" },
	{ 0x954f099c, "idr_preload" },
	{ 0xe5b5065, "nfs_umount_begin" },
	{ 0x329d20db, "nfs_getattr" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xdab9bb07, "nfs_pageio_reset_write_mds" },
	{ 0xd6e06051, "kmem_cache_free" },
	{ 0x2e78eeea, "nfs_generic_pg_test" },
	{ 0x85abc85f, "strncmp" },
	{ 0xffe79a7a, "xdr_stream_subsegment" },
	{ 0x842a4a23, "nfs_zap_acl_cache" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x99a68f24, "nfs_fscache_open_file" },
	{ 0xf5f3c1ff, "from_kgid" },
	{ 0xdfabfe82, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xf2070479, "nfs_write_inode" },
	{ 0xe414cb95, "nfs_request_remove_commit_list" },
	{ 0x6f53043d, "wait_for_completion_interruptible" },
	{ 0x3d263b6b, "rpc_wake_up_first" },
	{ 0xb5b0a809, "alloc_nfs_open_context" },
	{ 0xe289e845, "list_lru_add_obj" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x36dc053f, "vfs_parse_fs_param" },
	{ 0x52b0b9e8, "nfs_path" },
	{ 0xe1e73582, "rpc_sleep_on_priority_timeout" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x5ed3e323, "nfs_create_rpc_client" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xff131d86, "register_nfs_version" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x8d0361bc, "rpc_sleep_on_timeout" },
	{ 0xc0d70e0d, "list_lru_count_one" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xa4b492f9, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x4dbdd97a, "rpc_call_start" },
	{ 0xb6f0d27b, "xprt_setup_backchannel" },
	{ 0x1866638e, "bpf_trace_run1" },
	{ 0x36b8a21b, "svc_create" },
	{ 0x3228926, "rpc_clnt_iterate_for_each_xprt" },
	{ 0x1be50154, "nfs_file_set_open_context" },
	{ 0x14393e5d, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0x78de32a4, "rpc_call_sync" },
	{ 0x739013cb, "from_kuid" },
	{ 0xc9f4201a, "rpc_put_task_async" },
	{ 0x9aeaf932, "rpc_prepare_reply_pages" },
	{ 0x7943930b, "rpc_queue_upcall" },
	{ 0xcf23e3e7, "nfs_free_server" },
	{ 0x3316803, "fc_mount" },
	{ 0x9bd0c00e, "register_sysctl_sz" },
	{ 0x67c24462, "nfs_setattr" },
	{ 0x5af95bfb, "xdr_terminate_string" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf5d30e53, "nfs4_fs_type" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x463b768e, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0x821d6a77, "rpc_delay" },
	{ 0x2e2a9ab5, "nfs_flock" },
	{ 0xbddfb5b, "__list_lru_init" },
	{ 0x3f0cf267, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xb6c94ca9, "svc_generic_init_request" },
	{ 0xb5d3119d, "_atomic_dec_and_lock" },
	{ 0xe0dcb233, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0xa3cd057a, "rpc_exit" },
	{ 0x3e303675, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x946b19b, "__kmem_cache_create_args" },
	{ 0xeecd8672, "rpc_remove_pipe_dir_object" },
	{ 0xaf0631af, "nfs_may_open" },
	{ 0x5d130c9c, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0x7ee9eda4, "out_of_line_wait_on_bit_lock" },
	{ 0xa3178980, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0x103bafd6, "down_read" },
	{ 0x4383e403, "xdr_reserve_space" },
	{ 0xa4ec429e, "rpcauth_lookupcred" },
	{ 0xe798236d, "jiffies" },
	{ 0xe9929188, "kthread_create_on_node" },
	{ 0xd5127d6a, "list_lru_isolate" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xd22c2128, "nfs_rmdir" },
	{ 0x83b52648, "bpf_trace_run3" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x8574bb03, "trace_print_flags_seq" },
	{ 0x756e29f8, "nfs_filemap_write_and_wait_range" },
	{ 0x3dce5577, "rpc_mkpipe_dentry" },
	{ 0x85c20ca9, "alloc_file_pseudo" },
	{ 0x72fcea12, "rpc_mkpipe_data" },
	{ 0xb8742037, "rpc_add_pipe_dir_object" },
	{ 0xe24ae758, "igrab" },
	{ 0x95f50143, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x59c74437, "nfs_async_iocounter_wait" },
	{ 0xedab4b50, "nfs_file_read" },
	{ 0x24b8ba17, "trace_event_buffer_reserve" },
	{ 0x8a680203, "crc32_le_arch" },
	{ 0x904bd851, "nfs_alloc_fattr_with_label" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xc8b3ca42, "filemap_fdatawait_range" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x4d5fe525, "percpu_counter_add_batch" },
	{ 0xcfd7a744, "nfs_commitdata_alloc" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x61ff6c79, "nfs_setattr_update_inode" },
	{ 0xeecc13fb, "nfs_instantiate" },
	{ 0xc6c79584, "init_user_ns" },
	{ 0xbebc26cb, "rpc_uaddr2sockaddr" },
	{ 0xe5410b36, "user_read" },
	{ 0x86c46908, "rpc_restart_call" },
	{ 0x3e29c02e, "request_key_tag" },
	{ 0xe1d321d0, "xprt_force_disconnect" },
	{ 0x45c04efa, "user_free_preparse" },
	{ 0x7d505ad6, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0x8d25c2e5, "svc_xprt_destroy_all" },
	{ 0x76ccdc32, "generic_key_instantiate" },
	{ 0x1e1674f7, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0x4a576be8, "nfs_link" },
	{ 0x7ff9bed0, "__folio_put" },
	{ 0x3338ca62, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc995310b, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0x3e3ce86a, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3f67b3d2, "dput" },
	{ 0x92a16af7, "lockref_get" },
	{ 0x74db064d, "rpc_init_wait_queue" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfce846b1, "xdr_stream_move_subsegment" },
	{ 0x6a84b5ca, "put_rpccred" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0x3dd0cc74, "nfs_post_op_update_inode_force_wcc" },
	{ 0xc68ec1c1, "nfs_pgheader_init" },
	{ 0xa808226d, "put_nfs_open_context" },
	{ 0xda9cbb43, "nfs_show_path" },
	{ 0xc6192ea, "nfs_show_devname" },
	{ 0x364e3f46, "nfs_permission" },
	{ 0xdeeb7c16, "nfs_initiate_commit" },
	{ 0x201195e2, "truncate_inode_pages_range" },
	{ 0xb5c91063, "__put_user_ns" },
	{ 0x5f4fe169, "alloc_pages_noprof" },
	{ 0xfbba7f22, "cred_fscmp" },
	{ 0xa58efb66, "rpc_unlink" },
	{ 0x7e8bcbed, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x74a6214c, "proc_dointvec" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x587ebfd8, "nfs_file_write" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0x5c77a1c9, "node_data" },
	{ 0xed7ac42f, "nfs_probe_server" },
	{ 0x6b1bc894, "nfs_setsecurity" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x3b5ed117, "rpc_clnt_xprt_switch_has_addr" },
	{ 0xb8462781, "rpc_clnt_test_and_add_xprt" },
	{ 0xb78a6769, "file_ra_state_init" },
	{ 0xd9f7e139, "nfs_force_lookup_revalidate" },
	{ 0xfb3d5f28, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x5f412fef, "rpc_clnt_add_xprt" },
	{ 0xfcf29b06, "dget_parent" },
	{ 0x9a9e226a, "from_kuid_munged" },
	{ 0x11cdc137, "prepare_kernel_cred" },
	{ 0xbfe071c9, "nfs_alloc_server" },
	{ 0xe9062651, "rpc_call_async" },
	{ 0x9e06267e, "security_dentry_init_security" },
	{ 0xdbb7d621, "filemap_write_and_wait_range" },
	{ 0x48764d74, "list_lru_del_obj" },
	{ 0x6fb655c0, "nfs_server_insert_lists" },
	{ 0x660d0ee6, "nfs_dreq_bytes_left" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x1de0c5b2, "nfs_free_client" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x6feee25b, "rpc_init_pipe_dir_object" },
	{ 0x13ca093d, "bpf_trace_run7" },
	{ 0x51643cb3, "nfs_refresh_inode" },
	{ 0xd88dbbf4, "refcount_dec_and_lock" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0x8e162a8, "nfs_access_set_mask" },
	{ 0x7b1dde16, "nfs_init_server_rpcclient" },
	{ 0xdb399649, "__mark_inode_dirty" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xcd753e62, "rpc_set_connect_timeout" },
	{ 0x42db3383, "rpcauth_create" },
	{ 0x41fa0a96, "xdr_stream_pos" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0x9c4f0f0c, "key_set_timeout" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xefa414fb, "nfs_delay_retrans" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0xf1164f2f, "svc_xprt_create" },
	{ 0x4666638, "nfs42_ssc_register" },
	{ 0x29ffdca1, "rpc_wait_for_completion_task" },
	{ 0x4b9e4feb, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1a871a4b, "rpc_num_bc_slots" },
	{ 0x9875471f, "nfs_alloc_inode" },
	{ 0x85d07771, "rpc_destroy_wait_queue" },
	{ 0x3ab64803, "kmalloc_caches" },
	{ 0xf4e88846, "security_inode_listsecurity" },
	{ 0x3370c0ab, "nfs_fhget" },
	{ 0xb1b6cf9c, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x921c6366, "locks_copy_lock" },
	{ 0x551d880, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0x7fbb1e66, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xcb270a4e, "nfs_set_verifier" },
	{ 0x664846e8, "proc_dointvec_minmax" },
	{ 0x81dd2bab, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,nfs,dns_resolver");


MODULE_INFO(srcversion, "92AC192728C1D6C66B710C8");
MODULE_INFO(rhelversion, "9.99");
