#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(l2tp_sk_to_tunnel, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_put, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_put, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_next, "_gpl", "");
KSYMTAB_FUNC(l2tp_v3_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_v2_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_next, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_by_ifname, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_recv_common, "_gpl", "");
KSYMTAB_FUNC(l2tp_udp_encap_recv, "_gpl", "");
KSYMTAB_FUNC(l2tp_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_create, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_set_header_len, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_create, "_gpl", "");

SYMBOL_CRC(l2tp_sk_to_tunnel, 0xb7ba05bc, "_gpl");
SYMBOL_CRC(l2tp_tunnel_put, 0x8450a68e, "_gpl");
SYMBOL_CRC(l2tp_session_put, 0x15398bf1, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0x5ec1ffab, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_next, 0x137fc585, "_gpl");
SYMBOL_CRC(l2tp_v3_session_get, 0x6f4bdcd5, "_gpl");
SYMBOL_CRC(l2tp_v2_session_get, 0x8fab15c4, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0x23ade9c4, "_gpl");
SYMBOL_CRC(l2tp_session_get_next, 0x685e6b34, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0x043cac6d, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0x3ae2e988, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0x0a495e27, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0x82596bf9, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0x67634680, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0x4b3c9217, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0x25aa257f, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0xc45a23a0, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0x671b8c7c, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0xba494585, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0xfdb8ba91, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x7eec0ea2, "perf_trace_run_bpf_submit" },
	{ 0x24b8ba17, "trace_event_buffer_reserve" },
	{ 0xb0b98ab0, "trace_event_buffer_commit" },
	{ 0x875e34fc, "__trace_trigger_soft_disabled" },
	{ 0xbdc88714, "trace_raw_output_prep" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0xcff22166, "trace_event_printf" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x1866638e, "bpf_trace_run1" },
	{ 0x92a0dd99, "bpf_trace_run2" },
	{ 0x2baf2523, "sk_error_report" },
	{ 0xf34d7809, "ip_icmp_error" },
	{ 0x62eba747, "ipv6_icmp_error" },
	{ 0x1d9ccd3b, "sock_create_kern" },
	{ 0x948663b5, "kernel_bind" },
	{ 0xbc4a97f6, "kernel_connect" },
	{ 0x80f9c925, "udp_sock_create6" },
	{ 0xf07c9b73, "kernel_sock_shutdown" },
	{ 0x8f4e7df2, "sock_release" },
	{ 0x7dea9f18, "udp_sock_create4" },
	{ 0x92997ed8, "_printk" },
	{ 0x4052c75c, "register_pernet_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe6d7c5b4, "unregister_pernet_device" },
	{ 0x88e52cdb, "idr_for_each" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x236c8c64, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x3ab64803, "kmalloc_caches" },
	{ 0x3338ca62, "__kmalloc_cache_noprof" },
	{ 0xc54b56df, "skb_queue_tail" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x410478cb, "sk_free" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xea839bd3, "pskb_expand_head" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xa33f54d8, "udp_set_csum" },
	{ 0xcfbfb5ff, "ip_queue_xmit" },
	{ 0xb9dbff5d, "sk_skb_reason_drop" },
	{ 0x80818f81, "udp6_set_csum" },
	{ 0xabdbd935, "inet6_csk_xmit" },
	{ 0x4715d984, "dst_release" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x38762c8, "idr_get_next_ul" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x3761d215, "idr_find" },
	{ 0xe798236d, "jiffies" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x86f60367, "__pskb_pull_tail" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x38493a8b, "idr_alloc_u32" },
	{ 0x8d0fd4ef, "idr_replace" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xeac29792, "skb_dequeue" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x37a0cba, "kfree" },
	{ 0xa6ea9102, "sockfd_lookup" },
	{ 0xdc4c6ebe, "lock_sock_nested" },
	{ 0xb73d864f, "release_sock" },
	{ 0xfc24a9dc, "fput" },
	{ 0xd87f708f, "setup_udp_tunnel_sock" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0xdfabfe82, "trace_event_reg" },
	{ 0x62b09e20, "trace_event_raw_init" },
	{ 0x81dd2bab, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel");


MODULE_INFO(srcversion, "74F0D7DE5D860230C2A3272");
MODULE_INFO(rhelversion, "9.99");
