#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(gss_mech_register, 0xe9214c9b, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0xb23b6d10, "_gpl");
SYMBOL_CRC(gss_mech_get, 0xba041a0a, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0xecd1f3a5, "");
SYMBOL_CRC(gss_mech_put, 0xbec60275, "");
SYMBOL_CRC(svcauth_gss_flavor, 0x3081f6aa, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0xfdf99f8a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7d38cce6, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x8a0d35d0, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf0c7f952, "vmemmap" },
	{ 0x183fb70f, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0x8b221caa, "xdr_buf_from_iov" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x1f1fe53, "bpf_trace_run4" },
	{ 0x8919dcf2, "xdr_stream_decode_opaque_auth" },
	{ 0x4f57327d, "param_ops_uint" },
	{ 0x9776b73b, "xdr_write_pages" },
	{ 0xee9ce701, "rpc_shutdown_client" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x269333ca, "auth_domain_find" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0x94f3f735, "xdr_inline_decode" },
	{ 0xf9017eac, "cache_create_net" },
	{ 0x6fbb54c9, "rpcauth_destroy_credcache" },
	{ 0xbdc88714, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xe5f1a94d, "bpf_trace_run6" },
	{ 0x17ceebe7, "rpc_net_ns" },
	{ 0x8e2125b2, "read_bytes_from_xdr_buf" },
	{ 0x875e34fc, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x64d74e24, "rpc_wake_up" },
	{ 0xcff22166, "trace_event_printf" },
	{ 0xbef53f33, "scnprintf" },
	{ 0xb968ec4a, "sunrpc_cache_lookup_rcu" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x62b09e20, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x233f5316, "sprint_oid" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0xf88595ed, "proc_create_data" },
	{ 0xbbcec0b7, "groups_alloc" },
	{ 0x92a0dd99, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xd0695d40, "xdr_truncate_decode" },
	{ 0x66314a0c, "rpcauth_unregister" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x9fbe3a9e, "__xdr_commit_encode" },
	{ 0x661bc9f6, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x7c8f0c3d, "rpc_sleep_on" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0x7b165d29, "__put_cred" },
	{ 0xe230774a, "register_pernet_subsys" },
	{ 0xb0b98ab0, "trace_event_buffer_commit" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x1934a881, "cache_purge" },
	{ 0x92997ed8, "_printk" },
	{ 0x39cc4f3c, "rpc_release_client" },
	{ 0x3c8069a6, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xe0471cf1, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x6d74bbf5, "svc_auth_register" },
	{ 0x998e06b5, "xdr_stream_encode_opaque_auth" },
	{ 0x71fe20ed, "make_kuid" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xe142e212, "rpc_destroy_pipe_data" },
	{ 0xcd2b3645, "__free_pages" },
	{ 0x69b38edd, "rpc_pipe_generic_upcall" },
	{ 0x2995e262, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x9c73bd8d, "cache_unregister_net" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x2ad76144, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x7eec0ea2, "perf_trace_run_bpf_submit" },
	{ 0xedac9ec1, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xe8ba125d, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0x144e9ce9, "rpcauth_init_credcache" },
	{ 0x52f968f6, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0x32c78719, "xdr_init_decode" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xdfabfe82, "trace_event_reg" },
	{ 0xf2aa77b7, "rpc_call_null" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x8d0361bc, "rpc_sleep_on_timeout" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xc941b9e0, "rpc_create" },
	{ 0x1866638e, "bpf_trace_run1" },
	{ 0x78de32a4, "rpc_call_sync" },
	{ 0x739013cb, "from_kuid" },
	{ 0x44b575a2, "unregister_pernet_subsys" },
	{ 0x7943930b, "rpc_queue_upcall" },
	{ 0xe9426b01, "xdr_encode_word" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xa94f4307, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x1e2267e6, "svcauth_unix_set_client" },
	{ 0x42549251, "xdr_buf_subsegment" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xb5d3119d, "_atomic_dec_and_lock" },
	{ 0x3e303675, "make_kgid" },
	{ 0xeecd8672, "rpc_remove_pipe_dir_object" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x4383e403, "xdr_reserve_space" },
	{ 0xe798236d, "jiffies" },
	{ 0xcb021e46, "nonseekable_open" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x83b52648, "bpf_trace_run3" },
	{ 0x69bdc606, "__put_net" },
	{ 0x3dce5577, "rpc_mkpipe_dentry" },
	{ 0x72fcea12, "rpc_mkpipe_data" },
	{ 0x50e8c18e, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x24b8ba17, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x5f4a905c, "groups_free" },
	{ 0x2bee325a, "cache_register_net" },
	{ 0xc6c79584, "init_user_ns" },
	{ 0x33024a7, "xdr_inline_pages" },
	{ 0x7ff9bed0, "__folio_put" },
	{ 0x36deb27a, "remove_proc_entry" },
	{ 0x3338ca62, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x74db064d, "rpc_init_wait_queue" },
	{ 0x6a84b5ca, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x5f4fe169, "alloc_pages_noprof" },
	{ 0xa58efb66, "rpc_unlink" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x796d31a3, "rpcauth_wrap_req_encode" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf1307bf8, "groups_sort" },
	{ 0x9a9e226a, "from_kuid_munged" },
	{ 0x5565004, "rpcauth_init_cred" },
	{ 0x505ada4c, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xbaec1e8, "cache_destroy_net" },
	{ 0x6feee25b, "rpc_init_pipe_dir_object" },
	{ 0x349cba85, "strchr" },
	{ 0x5a5e7ea3, "simple_read_from_buffer" },
	{ 0x41fa0a96, "xdr_stream_pos" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0x2d985027, "sunrpc_cache_update" },
	{ 0xc2e7ce1a, "xdr_truncate_encode" },
	{ 0x85d07771, "rpc_destroy_wait_queue" },
	{ 0x3ab64803, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2c8da2d8, "auth_domain_put" },
	{ 0xc205a3f2, "rpcauth_unwrap_resp_decode" },
	{ 0xe98b41a1, "rpcauth_register" },
	{ 0x81dd2bab, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "D5FC69697817F652A2F17F1");
MODULE_INFO(rhelversion, "9.99");
